Bug 262877 - textproc/libxml2: Enable symbol versioning
Summary: textproc/libxml2: Enable symbol versioning
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Charlie Li
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-03-28 05:15 UTC by Yasuhiro Kimura
Modified: 2022-04-25 17:50 UTC (History)
7 users (show)

See Also:
tcberner: maintainer-feedback+


Attachments
Patch file (1.06 KB, patch)
2022-03-28 05:15 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (1.62 KB, patch)
2022-03-29 02:01 UTC, Yasuhiro Kimura
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura freebsd_committer 2022-03-28 05:15:39 UTC
Created attachment 232769 [details]
Patch file

Symbol versioning is supported with GNU Autotools but not with CMake. So enable it by adding options to LDFLAGS.

Suggested by:   jbeich
Comment 1 Tobias C. Berner freebsd_committer 2022-03-28 05:50:07 UTC
lgtm, with an additional comment in the makefile :)
Comment 2 Daniel Engberg freebsd_committer 2022-03-28 06:34:24 UTC
Should that also be applied to py-libxml2 port which I guess it will be having it as a global variable?
Comment 3 Yasuhiro Kimura freebsd_committer 2022-03-28 06:41:46 UTC
(In reply to Daniel Engberg from comment #2)

Since textproc/py-libxml2 is slave port of textproc/libxml2, chages to the latter (adding LDFLAGS and bumping PORTREVISON) also affects to the former.
Comment 4 Yasuhiro Kimura freebsd_committer 2022-03-28 06:43:27 UTC
(In reply to Tobias C. Berner from comment #1)

OK, I'll add it :-).
Comment 5 Daniel Engberg freebsd_committer 2022-03-28 06:46:26 UTC
Yes, I realize that which is why I'm asking as it would as I understand also apply to libxml2mod which is not what we want?
Comment 6 Yasuhiro Kimura freebsd_committer 2022-03-28 07:04:58 UTC
(In reply to Daniel Engberg from comment #5)

I'm not sure if symbol versioning is necessary for libxml2mod. But it was enabled when GNU Autotools was used. So at least re-enabling it should not cause any problem.
Comment 7 Jan Beich freebsd_committer 2022-03-28 10:52:52 UTC
Comment on attachment 232769 [details]
Patch file

Thanks. Seems to be compatible with 2.9.12, tested llvm12, wayland, glib, emacs.
Comment 8 Yasuhiro Kimura freebsd_committer 2022-03-29 02:01:29 UTC
Created attachment 232791 [details]
Updated patch file

* Add comment why LDFLAGS is set.
* Bump PORTREVISION of textproc/py-libxml2.

I overlooked PORTREVESION is set in textproc/py-libxml2/Makefile. So bump it. Commit message is updated so textproc/py-libxml2 is also affected.
Comment 9 Charlie Li freebsd_committer 2022-03-29 15:21:08 UTC
textproc/{,py-}libxml2 may switch back to autotools, see bug 262853.
Comment 10 Denis Shaposhnikov 2022-04-03 16:40:19 UTC
Hi!

I found princexml doesn't work, because libxml2 has no symbol versioning. So this issue affects me too.
Comment 11 Daniel Engberg freebsd_committer 2022-04-03 19:45:51 UTC
For the sake of documentation regarding symbol version from upstream, https://gitlab.gnome.org/GNOME/libxml2/-/issues/360
Comment 12 Denis Shaposhnikov 2022-04-07 14:53:40 UTC
Any news about this issue?
Comment 13 commit-hook freebsd_committer 2022-04-10 19:16:54 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=d63665f7cd9c99880704a3c5bc221829cb009744

commit d63665f7cd9c99880704a3c5bc221829cb009744
Author:     Charlie Li <vishwin@FreeBSD.org>
AuthorDate: 2022-04-10 19:08:12 +0000
Commit:     Charlie Li <vishwin@FreeBSD.org>
CommitDate: 2022-04-10 19:11:41 +0000

    textproc/libxml2: bump all LIB_DEPENDS consumers

    This is a separate commit to facilitate easier cherry-picking for
    quarterly.

    PR: 262853, 262940, 262877, 263126
    Approved by: fluffy (mentor)

 accessibility/caribou/Makefile                         | 2 +-
 archivers/file-roller/Makefile                         | 2 +-
 archivers/xar/Makefile                                 | 2 +-
 archivers/xarchiver/Makefile                           | 2 +-
 astro/foxtrotgps/Makefile                              | 2 +-
 astro/gpscorrelate/Makefile                            | 2 +-
 audio/abgate-lv2/Makefile                              | 2 +-
 audio/amarok/Makefile                                  | 2 +-
 audio/aqualung/Makefile                                | 2 +-
 audio/ardour6/Makefile                                 | 2 +-
 audio/ario/Makefile                                    | 2 +-
 audio/denemo/Makefile                                  | 2 +-
 audio/easytag/Makefile                                 | 2 +-
 audio/eq10q-lv2/Makefile                               | 2 +-
 audio/ezstream/Makefile                                | 2 +-
 audio/forked-daapd/Makefile                            | 2 +-
 audio/ganv/Makefile                                    | 2 +-
 audio/gbemol/Makefile                                  | 2 +-
 audio/glurp/Makefile                                   | 2 +-
 audio/gmpc-discogs/Makefile                            | 2 +-
 audio/gmpc-extraplaylist/Makefile                      | 2 +-
 audio/gmpc-lastfm/Makefile                             | 2 +-
 audio/gmpc-lyrics/Makefile                             | 2 +-
 audio/gmpc-lyricsplugin/Makefile                       | 2 +-
 audio/gmpc-magnatune/Makefile                          | 2 +-
 audio/gmpc-mdcover/Makefile                            | 2 +-
 audio/gmpc-mserver/Makefile                            | 2 +-
 audio/gmpc-shout/Makefile                              | 2 +-
 audio/gmpc/Makefile                                    | 2 +-
 audio/gmtp/Makefile                                    | 2 +-
 audio/gnaural/Makefile                                 | 2 +-
 audio/gsequencer/Makefile                              | 2 +-
 audio/gstreamer1-plugins-a52dec/Makefile               | 2 +-
 audio/gstreamer1-plugins-amrnb/Makefile                | 2 +-
 audio/gstreamer1-plugins-amrwbdec/Makefile             | 2 +-
 audio/gstreamer1-plugins-bs2b/Makefile                 | 2 +-
 audio/gstreamer1-plugins-cdparanoia/Makefile           | 2 +-
 audio/gstreamer1-plugins-chromaprint/Makefile          | 2 +-
 audio/gstreamer1-plugins-faac/Makefile                 | 2 +-
 audio/gstreamer1-plugins-faad/Makefile                 | 2 +-
 audio/gstreamer1-plugins-flac/Makefile                 | 2 +-
 audio/gstreamer1-plugins-flite/Makefile                | 2 +-
 audio/gstreamer1-plugins-gme/Makefile                  | 2 +-
 audio/gstreamer1-plugins-gsm/Makefile                  | 2 +-
 audio/gstreamer1-plugins-jack/Makefile                 | 2 +-
 audio/gstreamer1-plugins-ladspa/Makefile               | 2 +-
 audio/gstreamer1-plugins-lame/Makefile                 | 2 +-
 audio/gstreamer1-plugins-lv2/Makefile                  | 2 +-
 audio/gstreamer1-plugins-modplug/Makefile              | 2 +-
 audio/gstreamer1-plugins-mpg123/Makefile               | 2 +-
 audio/gstreamer1-plugins-musepack/Makefile             | 2 +-
 audio/gstreamer1-plugins-ogg/Makefile                  | 2 +-
 audio/gstreamer1-plugins-openmpt/Makefile              | 2 +-
 audio/gstreamer1-plugins-opus/Makefile                 | 2 +-
 audio/gstreamer1-plugins-pulse/Makefile                | 2 +-
 audio/gstreamer1-plugins-shout2/Makefile               | 2 +-
 audio/gstreamer1-plugins-sidplay/Makefile              | 2 +-
 audio/gstreamer1-plugins-sndfile/Makefile              | 2 +-
 audio/gstreamer1-plugins-soundtouch/Makefile           | 2 +-
 audio/gstreamer1-plugins-speex/Makefile                | 2 +-
 audio/gstreamer1-plugins-taglib/Makefile               | 2 +-
 audio/gstreamer1-plugins-twolame/Makefile              | 2 +-
 audio/gstreamer1-plugins-vorbis/Makefile               | 2 +-
 audio/gstreamer1-plugins-wavpack/Makefile              | 2 +-
 audio/gstreamer1-plugins-webrtcdsp/Makefile            | 2 +-
 audio/gtkguitune/Makefile                              | 2 +-
 audio/gtkpod/Makefile                                  | 2 +-
 audio/guitarix-lv2/Makefile                            | 2 +-
 audio/icecast-kh/Makefile                              | 2 +-
 audio/icecast/Makefile                                 | 2 +-
 audio/ices/Makefile                                    | 2 +-
 audio/jalv-select/Makefile                             | 2 +-
 audio/jalv/Makefile                                    | 2 +-
 audio/kid3-qt5/Makefile                                | 2 +-
 audio/lash/Makefile                                    | 2 +-
 audio/libgpod-sharp/Makefile                           | 2 +-
 audio/libgpod/Makefile                                 | 2 +-
 audio/libmusicbrainz5/Makefile                         | 2 +-
 audio/mate-media/Makefile                              | 2 +-
 audio/muse-sequencer/Makefile                          | 2 +-
 audio/paprefs/Makefile                                 | 2 +-
 audio/pavucontrol/Makefile                             | 2 +-
 audio/plasma5-plasma-pa/Makefile                       | 1 +
 audio/psindustrializer/Makefile                        | 2 +-
 audio/pulseeffects/Makefile                            | 2 +-
 audio/qtractor/Makefile                                | 2 +-
 audio/rhythmbox/Makefile                               | 2 +-
 audio/tagtool/Makefile                                 | 2 +-
 audio/vst3sdk/Makefile                                 | 2 +-
 audio/zplugins-lv2/Makefile                            | 1 +
 audio/zrythm/Makefile                                  | 2 +-
 biology/libnuml/Makefile                               | 1 +
 biology/libsbml/Makefile                               | 2 +-
 biology/libsedml/Makefile                              | 1 +
 biology/ncbi-vdb/Makefile                              | 2 +-
 biology/sra-tools/Makefile                             | 2 +-
 cad/horizon-eda/Makefile                               | 2 +-
 cad/ifcopenshell/Makefile                              | 2 +-
 cad/opencascade/Makefile                               | 2 +-
 cad/openscad-devel/Makefile                            | 2 +-
 cad/openscad/Makefile                                  | 2 +-
 cad/openvsp/Makefile                                   | 2 +-
 cad/oregano/Makefile                                   | 2 +-
 cad/repsnapper/Makefile                                | 2 +-
 cad/solvespace/Makefile                                | 2 +-
 chinese/fcitx/Makefile                                 | 2 +-
 comms/gnocky/Makefile                                  | 2 +-
 comms/gstreamer1-plugins-spandsp/Makefile              | 2 +-
 comms/hamlib/Makefile                                  | 2 +-
 comms/xastir/Makefile                                  | 2 +-
 converters/xml2c/Makefile                              | 2 +-
 databases/akonadi/Makefile                             | 2 +-
 databases/evolution-data-server/Makefile               | 2 +-
 databases/gmdb2/Makefile                               | 2 +-
 databases/kbibtex/Makefile                             | 2 +-
 databases/libgda5-bdb/Makefile                         | 2 +-
 databases/libgda5-jdbc/Makefile                        | 2 +-
 databases/libgda5-ldap/Makefile                        | 2 +-
 databases/libgda5-mdb/Makefile                         | 2 +-
 databases/libgda5-mysql/Makefile                       | 2 +-
 databases/libgda5-postgresql/Makefile                  | 2 +-
 databases/libgda5-ui/Makefile                          | 2 +-
 databases/libgda5/Makefile                             | 2 +-
 databases/libgdamm5/Makefile                           | 2 +-
 databases/mariadb103-server/Makefile                   | 2 +-
 databases/mariadb104-server/Makefile                   | 2 +-
 databases/mariadb105-server/Makefile                   | 2 +-
 databases/mariadb106-server/Makefile                   | 2 +-
 databases/pgadmin3/Makefile                            | 2 +-
 databases/pgbackrest/Makefile                          | 2 +-
 databases/pgmodeler/Makefile                           | 2 +-
 databases/pointcloud/Makefile                          | 2 +-
 databases/postgis30/Makefile                           | 2 +-
 databases/postgis31/Makefile                           | 2 +-
 databases/postgis32/Makefile                           | 2 +-
 databases/postgresql10-contrib/Makefile                | 2 +-
 databases/postgresql11-contrib/Makefile                | 2 +-
 databases/postgresql12-contrib/Makefile                | 2 +-
 databases/postgresql13-contrib/Makefile                | 2 +-
 databases/postgresql14-contrib/Makefile                | 2 +-
 databases/qof/Makefile                                 | 2 +-
 databases/rrdtool/Makefile                             | 2 +-
 databases/sequeler/Makefile                            | 2 +-
 databases/spatialite-tools/Makefile                    | 2 +-
 databases/spatialite/Makefile                          | 2 +-
 databases/spatialite_gui/Makefile                      | 2 +-
 databases/sqliteodbc/Makefile                          | 2 +-
 databases/virtuoso/Makefile                            | 2 +-
 databases/xrootd/Makefile                              | 2 +-
 deskutils/alarm-clock-applet/Makefile                  | 2 +-
 deskutils/bijiben/Makefile                             | 2 +-
 deskutils/bookworm/Makefile                            | 2 +-
 deskutils/cairo-dock-plugins/Makefile                  | 2 +-
 deskutils/cairo-dock/Makefile                          | 2 +-
 deskutils/easystroke/Makefile                          | 2 +-
 deskutils/elementary-calendar/Makefile                 | 2 +-
 deskutils/genius/Makefile                              | 2 +-
 deskutils/glabels/Makefile                             | 2 +-
 deskutils/gnome-calendar/Makefile                      | 2 +-
 deskutils/gnome-contacts/Makefile                      | 2 +-
 deskutils/gnome-dictionary/Makefile                    | 2 +-
 deskutils/gnome-documents/Makefile                     | 2 +-
 deskutils/gnome-maps/Makefile                          | 2 +-
 deskutils/gnome-photos/Makefile                        | 2 +-
 deskutils/gnome-todo/Makefile                          | 2 +-
 deskutils/gnome-tweaks/Makefile                        | 2 +-
 deskutils/gnote/Makefile                               | 2 +-
 deskutils/growl-for-linux/Makefile                     | 2 +-
 deskutils/gxneur/Makefile                              | 2 +-
 deskutils/lookbook/Makefile                            | 2 +-
 deskutils/mate-notification-daemon/Makefile            | 1 +
 deskutils/notekit/Makefile                             | 2 +-
 deskutils/osmo/Makefile                                | 2 +-
 deskutils/pinot/Makefile                               | 2 +-
 deskutils/py-autokey/Makefile                          | 2 +-
 deskutils/recoll/Makefile                              | 2 +-
 deskutils/rubrica/Makefile                             | 2 +-
 deskutils/synapse/Makefile                             | 2 +-
 deskutils/sysctlview/Makefile                          | 2 +-
 deskutils/virt-manager/Makefile                        | 2 +-
 deskutils/xfce4-tumbler/Makefile                       | 2 +-
 deskutils/xfce4-xkb-plugin/Makefile                    | 2 +-
 deskutils/xpad/Makefile                                | 2 +-
 devel/aegis/Makefile                                   | 2 +-
 devel/anjuta/Makefile                                  | 2 +-
 devel/appstream/Makefile                               | 2 +-
 devel/autogen/Makefile                                 | 2 +-
 devel/collada-dom/Makefile                             | 2 +-
 devel/compiz-bcop/Makefile                             | 2 +-
 devel/csoap/Makefile                                   | 2 +-
 devel/dconf/Makefile                                   | 2 +-
 devel/dia2code+/Makefile                               | 2 +-
 devel/dia2code/Makefile                                | 2 +-
 devel/electron13/Makefile                              | 2 +-
 devel/flang-clang/Makefile                             | 2 +-
 devel/frama-c/Makefile                                 | 2 +-
 devel/gconf2/Makefile                                  | 2 +-
 devel/gconfmm26/Makefile                               | 2 +-
 devel/geany-plugin-pretty-printer/Makefile             | 2 +-
 devel/gitg/Makefile                                    | 2 +-
 devel/glib20/Makefile                                  | 2 +-
 devel/gnome-builder/Makefile                           | 2 +-
 devel/goffice/Makefile                                 | 2 +-
 devel/gstreamer1-plugins-soup/Makefile                 | 2 +-
 devel/gtranslator/Makefile                             | 2 +-
 devel/gvfs/Makefile                                    | 2 +-
 devel/hwloc/Makefile                                   | 2 +-
 devel/hwloc2/Makefile                                  | 2 +-
 devel/kf5-kdoctools/Makefile                           | 2 +-
 devel/kf5-kio/Makefile                                 | 2 +-
 devel/libabigail/Makefile                              | 2 +-
 devel/libaravis/Makefile                               | 2 +-
 devel/libassetml/Makefile                              | 2 +-
 devel/libdap/Makefile                                  | 2 +-
 devel/libdbusmenu/Makefile                             | 2 +-
 devel/libgdata/Makefile                                | 2 +-
 devel/libght/Makefile                                  | 2 +-
 devel/libglade2/Makefile                               | 2 +-
 devel/libglademm24/Makefile                            | 2 +-
 devel/libgnt/Makefile                                  | 2 +-
 devel/libgsf/Makefile                                  | 2 +-
 devel/libical/Makefile                                 | 2 +-
 devel/libiqxmlrpc/Makefile                             | 2 +-
 devel/liblangtag/Makefile                              | 2 +-
 devel/libosinfo/Makefile                               | 2 +-
 devel/libplist/Makefile                                | 2 +-
 devel/libqb/Makefile                                   | 2 +-
 devel/librcc/Makefile                                  | 2 +-
 devel/librest/Makefile                                 | 2 +-
 devel/libsmpp34/Makefile                               | 2 +-
 devel/libsoup/Makefile                                 | 2 +-
 devel/libsoup3/Makefile                                | 2 +-
 devel/libvirt-glib/Makefile                            | 2 +-
 devel/libvirt/Makefile                                 | 1 +
 devel/llvm-cheri/Makefile                              | 2 +-
 devel/llvm-devel/Makefile                              | 2 +-
 devel/llvm10/Makefile                                  | 2 +-
 devel/llvm11/Makefile                                  | 2 +-
 devel/llvm12/Makefile                                  | 2 +-
 devel/llvm13/Makefile                                  | 2 +-
 devel/llvm14/Makefile                                  | 2 +-
 devel/llvm70/Makefile                                  | 2 +-
 devel/llvm80/Makefile                                  | 2 +-
 devel/llvm90/Makefile                                  | 2 +-
 devel/m17n-lib/Makefile                                | 2 +-
 devel/msitools/Makefile                                | 2 +-
 devel/py-lxml/Makefile                                 | 2 +-
 devel/regexxer/Makefile                                | 2 +-
 devel/shiboken2/Makefile                               | 2 +-
 devel/smooth/Makefile                                  | 2 +-
 devel/sope/Makefile                                    | 2 +-
 devel/sope2/Makefile                                   | 2 +-
 devel/tclxml/Makefile                                  | 2 +-
 devel/ticcutils/Makefile                               | 2 +-
 devel/umbrello/Makefile                                | 2 +-
 devel/universal-ctags/Makefile                         | 2 +-
 devel/wf-config/Makefile                               | 2 +-
 devel/xdg-user-dirs/Makefile                           | 2 +-
 devel/z88dk/Makefile                                   | 2 +-
 devel/zapcc/Makefile                                   | 2 +-
 dns/bind9-devel/Makefile                               | 4 ++--
 dns/bind916/Makefile                                   | 4 ++--
 dns/bind918/Makefile                                   | 4 ++--
 dns/opendnssec2/Makefile                               | 2 +-
 editors/abiword/Makefile                               | 2 +-
 editors/diamond/Makefile                               | 2 +-
 editors/elementary-code/Makefile                       | 2 +-
 editors/emacs-devel/Makefile                           | 1 +
 editors/emacs/Makefile                                 | 1 +
 editors/gedit-plugins/Makefile                         | 2 +-
 editors/gedit/Makefile                                 | 2 +-
 editors/gnome-latex/Makefile                           | 2 +-
 editors/gobby/Makefile                                 | 2 +-
 editors/gummi/Makefile                                 | 2 +-
 editors/jucipp/Makefile                                | 2 +-
 editors/libreoffice/Makefile                           | 2 +-
 editors/marker/Makefile                                | 2 +-
 editors/morla/Makefile                                 | 2 +-
 editors/mousepad/Makefile                              | 1 +
 editors/openoffice-4/Makefile                          | 2 +-
 editors/openoffice-devel/Makefile                      | 2 +-
 editors/pluma-plugins/Makefile                         | 2 +-
 editors/pluma/Makefile                                 | 2 +-
 editors/quilter/Makefile                               | 2 +-
 editors/setzer/Makefile                                | 2 +-
 editors/vscode/Makefile                                | 2 +-
 editors/xed/Makefile                                   | 2 +-
 editors/xmlcopyeditor/Makefile                         | 2 +-
 emulators/catapult/Makefile                            | 2 +-
 emulators/fuse/Makefile                                | 2 +-
 emulators/higan/Makefile                               | 2 +-
 emulators/nemu/Makefile                                | 2 +-
 emulators/open-vm-tools/Makefile                       | 2 +-
 emulators/qemu-cheri/Makefile                          | 2 +-
 emulators/qemu-devel/Makefile                          | 2 +-
 emulators/qemu-powernv/Makefile                        | 2 +-
 emulators/qemu5/Makefile                               | 2 +-
 emulators/snes9x-gtk/Makefile                          | 2 +-
 emulators/tiemu3/Makefile                              | 2 +-
 emulators/virtualbox-ose-legacy/Makefile               | 2 +-
 emulators/virtualbox-ose-nox11-legacy/Makefile         | 2 +-
 emulators/virtualbox-ose-nox11/Makefile                | 2 +-
 emulators/virtualbox-ose/Makefile                      | 2 +-
 emulators/wine-proton/Makefile                         | 2 +-
 emulators/wine/Makefile                                | 2 +-
 finance/gnucash-docs/Makefile                          | 1 +
 finance/gnucash/Makefile                               | 2 +-
 finance/grisbi/Makefile                                | 2 +-
 finance/libofx/Makefile                                | 2 +-
 finance/odoo/Makefile                                  | 2 +-
 finance/quickfix/Makefile                              | 2 +-
 french/verbiste/Makefile                               | 2 +-
 ftp/R-cran-RCurl/Makefile                              | 2 +-
 ftp/gstreamer1-plugins-curl/Makefile                   | 2 +-
 games/0ad/Makefile                                     | 2 +-
 games/armagetronad/Makefile                            | 2 +-
 games/bombherman/Makefile                              | 2 +-
 games/colobot/Makefile                                 | 1 +
 games/el/Makefile                                      | 2 +-
 games/exult/Makefile                                   | 2 +-
 games/five-or-more/Makefile                            | 2 +-
 games/freedoko/Makefile                                | 2 +-
 games/gtkatlantic/Makefile                             | 2 +-
 games/gtkevemon/Makefile                               | 2 +-
 games/gtkradiant/Makefile                              | 2 +-
 games/libmaitretarot/Makefile                          | 2 +-
 games/libmt_client/Makefile                            | 2 +-
 games/lincity-ng/Makefile                              | 2 +-
 games/lordsawar/Makefile                               | 2 +-
 games/maitretarot/Makefile                             | 2 +-
 games/manaplus/Makefile                                | 2 +-
 games/mt_dolphin_ia/Makefile                           | 2 +-
 games/mt_gtk_client/Makefile                           | 2 +-
 games/naev/Makefile                                    | 2 +-
 games/netradiant/Makefile                              | 2 +-
 games/openlierox/Makefile                              | 2 +-
 games/py-pychess/Makefile                              | 2 +-
 games/tuxmath/Makefile                                 | 2 +-
 games/tuxtype/Makefile                                 | 2 +-
 games/xboard-devel/Makefile                            | 2 +-
 games/xboard/Makefile                                  | 2 +-
 games/xmoto/Makefile                                   | 2 +-
 graphics/GraphicsMagick/Makefile                       | 2 +-
 graphics/ImageMagick6/Makefile                         | 1 +
 graphics/ImageMagick7/Makefile                         | 1 +
 graphics/art/Makefile                                  | 2 +-
 graphics/aseprite/Makefile                             | 2 +-
 graphics/atril-lite/Makefile                           | 2 +-
 graphics/atril/Makefile                                | 2 +-
 graphics/autopano-sift-c/Makefile                      | 2 +-
 graphics/blender-lts28/Makefile                        | 2 +-
 graphics/blender-lts29/Makefile                        | 2 +-
 graphics/blender/Makefile                              | 2 +-
 graphics/cairomm/Makefile                              | 2 +-
 graphics/cegui/Makefile                                | 2 +-
 graphics/cluttermm/Makefile                            | 2 +-
 graphics/cptutils/Makefile                             | 2 +-
 graphics/darktable/Makefile                            | 2 +-
 graphics/dcmtk/Makefile                                | 2 +-
 graphics/delaboratory/Makefile                         | 2 +-
 graphics/dia/Makefile                                  | 2 +-
 graphics/digikam/Makefile                              | 2 +-
 graphics/elementary-photos/Makefile                    | 2 +-
 graphics/eog-plugins/Makefile                          | 2 +-
 graphics/eom/Makefile                                  | 2 +-
 graphics/evince/Makefile                               | 2 +-
 graphics/flam3/Makefile                                | 2 +-
 graphics/fpc-rsvg/Makefile                             | 1 +
 graphics/frogr/Makefile                                | 2 +-
 graphics/fyre/Makefile                                 | 2 +-
 graphics/gdal/Makefile                                 | 1 +
 graphics/gdk-pixbuf2/Makefile                          | 2 +-
 graphics/gimageview/Makefile                           | 2 +-
 graphics/gimmage/Makefile                              | 2 +-
 graphics/gnash/Makefile                                | 2 +-
 graphics/goocanvasmm2/Makefile                         | 2 +-
 graphics/gpaint/Makefile                               | 2 +-
 graphics/gstreamer1-plugins-aalib/Makefile             | 2 +-
 graphics/gstreamer1-plugins-cairo/Makefile             | 2 +-
 graphics/gstreamer1-plugins-gdkpixbuf/Makefile         | 2 +-
 graphics/gstreamer1-plugins-gl/Makefile                | 2 +-
 graphics/gstreamer1-plugins-jpeg/Makefile              | 2 +-
 graphics/gstreamer1-plugins-kms/Makefile               | 2 +-
 graphics/gstreamer1-plugins-libcaca/Makefile           | 2 +-
 graphics/gstreamer1-plugins-libvisual/Makefile         | 2 +-
 graphics/gstreamer1-plugins-opencv/Makefile            | 2 +-
 graphics/gstreamer1-plugins-openexr/Makefile           | 2 +-
 graphics/gstreamer1-plugins-openjpeg/Makefile          | 2 +-
 graphics/gstreamer1-plugins-png/Makefile               | 2 +-
 graphics/gstreamer1-plugins-qt/Makefile                | 2 +-
 graphics/gstreamer1-plugins-rsvg/Makefile              | 2 +-
 graphics/gstreamer1-plugins-vulkan/Makefile            | 2 +-
 graphics/gstreamer1-plugins-webp/Makefile              | 2 +-
 graphics/gstreamer1-plugins-zbar/Makefile              | 2 +-
 graphics/gthumb/Makefile                               | 2 +-
 graphics/iccxml/Makefile                               | 2 +-
 graphics/ikona/Makefile                                | 2 +-
 graphics/inkscape/Makefile                             | 2 +-
 graphics/libafterimage/Makefile                        | 2 +-
 graphics/libetonyek01/Makefile                         | 2 +-
 graphics/libgnomecanvasmm26/Makefile                   | 2 +-
 graphics/libgphoto2/Makefile                           | 2 +-
 graphics/libkdcraw/Makefile                            | 2 +-
 graphics/libopenraw/Makefile                           | 2 +-
 graphics/librsvg2-rust/Makefile                        | 2 +-
 graphics/librsvg2/Makefile                             | 2 +-
 graphics/libsvg/Makefile                               | 2 +-
 graphics/minder/Makefile                               | 2 +-
 graphics/nip2/Makefile                                 | 2 +-
 graphics/opencollada/Makefile                          | 2 +-
 graphics/openfx-arena/Makefile                         | 2 +-
 graphics/oyranos/Makefile                              | 2 +-
 graphics/photoflow/Makefile                            | 2 +-
 graphics/pinpoint/Makefile                             | 2 +-
 graphics/poppler-glib/Makefile                         | 2 +-
 graphics/poppler-qt5/Makefile                          | 2 +-
 graphics/poppler-utils/Makefile                        | 2 +-
 graphics/poppler/Makefile                              | 1 +
 graphics/qgis-ltr/Makefile                             | 2 +-
 graphics/qgis/Makefile                                 | 2 +-
 graphics/rawstudio/Makefile                            | 2 +-
 graphics/rawtherapee/Makefile                          | 2 +-
 graphics/sane-airscan/Makefile                         | 2 +-
 graphics/sane-backends/Makefile                        | 2 +-
 graphics/shotwell/Makefile                             | 1 +
 graphics/swfmill/Makefile                              | 2 +-
 graphics/synfig/Makefile                               | 2 +-
 graphics/synfigstudio/Makefile                         | 2 +-
 graphics/tinyows/Makefile                              | 2 +-
 graphics/vips/Makefile                                 | 2 +-
 graphics/waffle/Makefile                               | 2 +-
 graphics/wayland/Makefile                              | 2 +-
 graphics/xournal/Makefile                              | 2 +-
 graphics/xournalpp/Makefile                            | 2 +-
 graphics/yafaray/Makefile                              | 2 +-
 irc/hexchat/Makefile                                   | 2 +-
 japanese/im-ja/Makefile                                | 2 +-
 java/openjfx14/Makefile                                | 2 +-
 lang/cling/Makefile                                    | 2 +-
 lang/ferite/Makefile                                   | 2 +-
 lang/gnustep-base/Makefile                             | 2 +-
 lang/php74/Makefile                                    | 2 +-
 lang/php80/Makefile                                    | 2 +-
 lang/php81/Makefile                                    | 2 +-
 lang/vala/Makefile                                     | 2 +-
 mail/astroid/Makefile                                  | 2 +-
 mail/balsa/Makefile                                    | 2 +-
 mail/claws-mail/Makefile                               | 1 +
 mail/cone/Makefile                                     | 2 +-
 mail/evolution-ews/Makefile                            | 2 +-
 mail/evolution/Makefile                                | 2 +-
 mail/geary/Makefile                                    | 2 +-
 mail/gnubiff/Makefile                                  | 2 +-
 math/R-cran-igraph/Makefile                            | 1 +
 math/cadabra2/Makefile                                 | 2 +-
 math/coq/Makefile                                      | 2 +-
 math/drgeo/Makefile                                    | 2 +-
 math/ggobi/Makefile                                    | 2 +-
 math/gkmap/Makefile                                    | 2 +-
 math/gnome-calculator/Makefile                         | 2 +-
 math/gnumeric/Makefile                                 | 2 +-
 math/gretl/Makefile                                    | 2 +-
 math/igraph/Makefile                                   | 2 +-
 math/libqalculate/Makefile                             | 1 +
 math/mate-calc/Makefile                                | 2 +-
 math/mdal/Makefile                                     | 2 +-
 math/openturns/Makefile                                | 2 +-
 math/pdal/Makefile                                     | 2 +-
 math/polymake/Makefile                                 | 2 +-
 math/pspp/Makefile                                     | 2 +-
 math/py-python-igraph/Makefile                         | 2 +-
 math/qalculate-gtk/Makefile                            | 1 +
 math/sc-im/Makefile                                    | 2 +-
 math/scilab/Makefile                                   | 2 +-
 math/tablix/Makefile                                   | 2 +-
 math/timbl/Makefile                                    | 2 +-
 misc/copperspice-examples/Makefile                     | 2 +-
 misc/gimp-help-en/Makefile                             | 2 +-
 misc/hotkeys/Makefile                                  | 2 +-
 misc/iio-oscilloscope/Makefile                         | 2 +-
 misc/libcomps/Makefile                                 | 2 +-
 misc/libiio/Makefile                                   | 2 +-
 misc/liblxi/Makefile                                   | 2 +-
 misc/librepo/Makefile                                  | 2 +-
 misc/libsupertone/Makefile                             | 2 +-
 misc/parley/Makefile                                   | 2 +-
 misc/shared-mime-info/Makefile                         | 1 +
 misc/tellico/Makefile                                  | 2 +-
 misc/timezonemap/Makefile                              | 1 +
 misc/visp/Makefile                                     | 2 +-
 misc/xfce4-weather-plugin/Makefile                     | 2 +-
 misc/xiphos/Makefile                                   | 2 +-
 multimedia/audacious-plugins/Makefile                  | 2 +-
 multimedia/avidemux-cli/Makefile                       | 2 +-
 multimedia/avidemux-plugins/Makefile                   | 2 +-
 multimedia/avidemux-qt5/Makefile                       | 2 +-
 multimedia/avidemux/Makefile                           | 2 +-
 multimedia/dvdauthor/Makefile                          | 2 +-
 multimedia/ffmpeg/Makefile                             | 2 +-
 multimedia/gmerlin/Makefile                            | 2 +-
 multimedia/gstreamer1-editing-services/Makefile        | 2 +-
 multimedia/gstreamer1-plugins-aom/Makefile             | 2 +-
 multimedia/gstreamer1-plugins-assrender/Makefile       | 2 +-
 multimedia/gstreamer1-plugins-bad/Makefile             | 2 +-
 multimedia/gstreamer1-plugins-dash/Makefile            | 2 +-
 multimedia/gstreamer1-plugins-dts/Makefile             | 2 +-
 multimedia/gstreamer1-plugins-dv/Makefile              | 2 +-
 multimedia/gstreamer1-plugins-dvdread/Makefile         | 2 +-
 multimedia/gstreamer1-plugins-good/Makefile            | 2 +-
 multimedia/gstreamer1-plugins-hls/Makefile             | 2 +-
 multimedia/gstreamer1-plugins-kate/Makefile            | 2 +-
 multimedia/gstreamer1-plugins-libde265/Makefile        | 2 +-
 multimedia/gstreamer1-plugins-mpeg2dec/Makefile        | 2 +-
 multimedia/gstreamer1-plugins-mpeg2enc/Makefile        | 2 +-
 multimedia/gstreamer1-plugins-mplex/Makefile           | 2 +-
 multimedia/gstreamer1-plugins-msdk/Makefile            | 2 +-
 multimedia/gstreamer1-plugins-openh264/Makefile        | 2 +-
 multimedia/gstreamer1-plugins-resindvd/Makefile        | 2 +-
 multimedia/gstreamer1-plugins-rtmp/Makefile            | 2 +-
 multimedia/gstreamer1-plugins-smoothstreaming/Makefile | 2 +-
 multimedia/gstreamer1-plugins-theora/Makefile          | 2 +-
 multimedia/gstreamer1-plugins-ttml/Makefile            | 2 +-
 multimedia/gstreamer1-plugins-ugly/Makefile            | 2 +-
 multimedia/gstreamer1-plugins-v4l2/Makefile            | 2 +-
 multimedia/gstreamer1-plugins-vpx/Makefile             | 2 +-
 multimedia/gstreamer1-plugins-x264/Makefile            | 2 +-
 multimedia/gstreamer1-plugins-x265/Makefile            | 2 +-
 multimedia/gstreamer1-plugins/Makefile                 | 2 +-
 multimedia/gstreamermm/Makefile                        | 2 +-
 multimedia/handbrake/Makefile                          | 2 +-
 multimedia/imagination/Makefile                        | 2 +-
 multimedia/kodi/Makefile                               | 2 +-
 multimedia/libbluray/Makefile                          | 2 +-
 multimedia/mlt6/Makefile                               | 2 +-
 multimedia/mlt7/Makefile                               | 2 +-
 multimedia/mythtv-frontend/Makefile                    | 2 +-
 multimedia/mythtv/Makefile                             | 2 +-
 multimedia/ogmrip/Makefile                             | 2 +-
 multimedia/phonon-gstreamer/Makefile                   | 2 +-
 multimedia/totem-pl-parser/Makefile                    | 2 +-
 multimedia/totem/Makefile                              | 2 +-
 multimedia/vcdimager/Makefile                          | 2 +-
 multimedia/vlc/Makefile                                | 2 +-
 net-im/folks/Makefile                                  | 2 +-
 net-im/fractal/Makefile                                | 2 +-
 net-im/kopete/Makefile                                 | 2 +-
 net-im/libaccounts-glib/Makefile                       | 2 +-
 net-im/libpurple/Makefile                              | 2 +-
 net-im/pidgin-sipe/Makefile                            | 2 +-
 net-im/pidgin-twitter/Makefile                         | 2 +-
 net-im/telepathy-farstream/Makefile                    | 2 +-
 net-im/telepathy-gabble/Makefile                       | 2 +-
 net-im/telepathy-glib/Makefile                         | 2 +-
 net-im/telepathy-idle/Makefile                         | 2 +-
 net-im/telepathy-logger-qt5/Makefile                   | 2 +-
 net-im/telepathy-logger/Makefile                       | 2 +-
 net-im/telepathy-mission-control/Makefile              | 2 +-
 net-im/telepathy-qt/Makefile                           | 2 +-
 net-im/telepathy-salut/Makefile                        | 2 +-
 net-mgmt/lldpd/Makefile                                | 2 +-
 net-mgmt/ndpmon/Makefile                               | 2 +-
 net-mgmt/torrus/Makefile                               | 2 +-
 net-mgmt/virt-viewer/Makefile                          | 2 +-
 net-p2p/dclib/Makefile                                 | 2 +-
 net-p2p/deluge/Makefile                                | 2 +-
 net-p2p/gtk-gnutella/Makefile                          | 2 +-
 net-p2p/linuxdcpp/Makefile                             | 2 +-
 net-p2p/microdc2/Makefile                              | 2 +-
 net-p2p/minder/Makefile                                | 2 +-
 net-p2p/retroshare/Makefile                            | 2 +-
 net/Sockets/Makefile                                   | 2 +-
 net/asterisk16/Makefile                                | 1 +
 net/asterisk18/Makefile                                | 1 +
 net/ceph14/Makefile                                    | 2 +-
 net/fort/Makefile                                      | 2 +-
 net/gfbgraph/Makefile                                  | 2 +-
 net/glusterfs/Makefile                                 | 2 +-
 net/gnome-online-accounts/Makefile                     | 2 +-
 net/gnome-online-miners/Makefile                       | 2 +-
 net/gq/Makefile                                        | 2 +-
 net/grilo-plugins/Makefile                             | 2 +-
 net/grilo/Makefile                                     | 2 +-
 net/gstreamer1-plugins-libmms/Makefile                 | 2 +-
 net/gstreamer1-plugins-srtp/Makefile                   | 2 +-
 net/gupnp-av/Makefile                                  | 2 +-
 net/gupnp-dlna/Makefile                                | 2 +-
 net/gupnp-tools/Makefile                               | 2 +-
 net/gupnp/Makefile                                     | 2 +-
 net/kamailio/Makefile                                  | 2 +-
 net/kitinerary/Makefile                                | 2 +-
 net/libcmis/Makefile                                   | 2 +-
 net/libgnetwork/Makefile                               | 2 +-
 net/libgrss/Makefile                                   | 2 +-
 net/libgweather/Makefile                               | 2 +-
 net/libgweather4/Makefile                              | 2 +-
 net/liblinphone/Makefile                               | 2 +-
 net/libmateweather/Makefile                            | 2 +-
 net/liferea/Makefile                                   | 2 +-
 net/mobile-broadband-provider-info/Makefile            | 2 +-
 net/ns3/Makefile                                       | 2 +-
 net/opensips31/Makefile                                | 2 +-
 net/pacemaker1/Makefile                                | 2 +-
 net/pacemaker2/Makefile                                | 2 +-
 net/pecl-xmlrpc/Makefile                               | 2 +-
 net/php74-soap/Makefile                                | 2 +-
 net/php74-xmlrpc/Makefile                              | 2 +-
 net/php80-soap/Makefile                                | 2 +-
 net/php81-soap/Makefile                                | 2 +-
 net/rubygem-ovirt-engine-sdk/Makefile                  | 2 +-
 net/vinagre/Makefile                                   | 2 +-
 net/wireshark/Makefile                                 | 1 +
 net/yaz/Makefile                                       | 2 +-
 news/nzbget/Makefile                                   | 2 +-
 print/fontforge/Makefile                               | 2 +-
 print/foomatic-db-engine/Makefile                      | 2 +-
 print/miktex/Makefile                                  | 2 +-
 print/pdfchain/Makefile                                | 2 +-
 print/scribus-devel/Makefile                           | 2 +-
 print/simple-fb2-reader/Makefile                       | 2 +-
 print/xreader/Makefile                                 | 2 +-
 science/abinit/Makefile                                | 2 +-
 science/afni/Makefile                                  | 1 +
 science/chemical-mime-data/Makefile                    | 2 +-
 science/chrono/Makefile                                | 1 +
 science/code_saturne/Makefile                          | 2 +-
 science/fleur/Makefile                                 | 2 +-
 science/gchemutils/Makefile                            | 2 +-
 science/ghemical/Makefile                              | 2 +-
 science/ghmm/Makefile                                  | 2 +-
 science/gromacs/Makefile                               | 2 +-
 science/lammps/Makefile                                | 2 +-
 science/openbabel/Makefile                             | 2 +-
 science/orthanc/Makefile                               | 2 +-
 science/py-pymol/Makefile                              | 2 +-
 science/qmcpack/Makefile                               | 1 +
 science/qwalk/Makefile                                 | 2 +-
 security/beid/Makefile                                 | 2 +-
 security/bzrtp/Makefile                                | 2 +-
 security/clamav-lts/Makefile                           | 2 +-
 security/clamav/Makefile                               | 2 +-
 security/gnome-keyring/Makefile                        | 2 +-
 security/gnomint/Makefile                              | 2 +-
 security/gonepass/Makefile                             | 2 +-
 security/greenbone-security-assistant/Makefile         | 2 +-
 security/gstreamer1-plugins-dtls/Makefile              | 2 +-
 security/gvm-libs/Makefile                             | 2 +-
 security/gvmd/Makefile                                 | 2 +-
 security/kc24/Makefile                                 | 2 +-
 security/lasso/Makefile                                | 2 +-
 security/lastpass-cli/Makefile                         | 2 +-
 security/libsecret/Makefile                            | 2 +-
 security/modsecurity3/Makefile                         | 2 +-
 security/oath-toolkit/Makefile                         | 2 +-
 security/openconnect/Makefile                          | 2 +-
 security/pwman/Makefile                                | 2 +-
 security/py-xmlsec/Makefile                            | 2 +-
 security/stoken/Makefile                               | 2 +-
 security/xmlsec1/Makefile                              | 2 +-
 sysutils/accountsservice/Makefile                      | 2 +-
 sysutils/brasero/Makefile                              | 2 +-
 sysutils/bulk_extractor/Makefile                       | 2 +-
 sysutils/cfengine-devel/Makefile                       | 2 +-
 sysutils/cfengine316/Makefile                          | 2 +-
 sysutils/cfengine317/Makefile                          | 2 +-
 sysutils/cfengine318/Makefile                          | 2 +-
 sysutils/cfengine319/Makefile                          | 2 +-
 sysutils/cinnamon-control-center/Makefile              | 2 +-
 sysutils/cinnamon-settings-daemon/Makefile             | 2 +-
 sysutils/cluster-glue/Makefile                         | 2 +-
 sysutils/consolekit2/Makefile                          | 2 +-
 sysutils/fusefs-s3fs/Makefile                          | 2 +-
 sysutils/gapcmon/Makefile                              | 2 +-
 sysutils/gconf-editor/Makefile                         | 2 +-
 sysutils/gksu/Makefile                                 | 2 +-
 sysutils/gnome-control-center/Makefile                 | 2 +-
 sysutils/gnome-system-monitor/Makefile                 | 2 +-
 sysutils/graveman/Makefile                             | 2 +-
 sysutils/gsmartcontrol/Makefile                        | 2 +-
 sysutils/gstreamer1-plugins-cdio/Makefile              | 2 +-
 sysutils/istatserver/Makefile                          | 2 +-
 sysutils/jstest-gtk/Makefile                           | 2 +-
 sysutils/khelpcenter/Makefile                          | 2 +-
 sysutils/libgksu/Makefile                              | 2 +-
 sysutils/ltfs/Makefile                                 | 2 +-
 sysutils/lttng-tools/Makefile                          | 2 +-
 sysutils/mate-control-center/Makefile                  | 2 +-
 sysutils/mate-system-monitor/Makefile                  | 2 +-
 sysutils/nitrogen/Makefile                             | 2 +-
 sysutils/osinfo-db-tools/Makefile                      | 2 +-
 sysutils/pam_mount/Makefile                            | 2 +-
 sysutils/quicksynergy/Makefile                         | 2 +-
 sysutils/tracker-miners/Makefile                       | 2 +-
 sysutils/tracker/Makefile                              | 2 +-
 sysutils/tracker3/Makefile                             | 2 +-
 sysutils/upower/Makefile                               | 1 +
 sysutils/wimlib/Makefile                               | 2 +-
 sysutils/xen-tools/Makefile                            | 2 +-
 sysutils/xvidcap/Makefile                              | 2 +-
 textproc/R-cran-XML/Makefile                           | 2 +-
 textproc/R-cran-xml2/Makefile                          | 2 +-
 textproc/apertium/Makefile                             | 2 +-
 textproc/asciidoc/Makefile                             | 2 +-
 textproc/augeas/Makefile                               | 2 +-
 textproc/diffmark/Makefile                             | 2 +-
 textproc/docbook2X/Makefile                            | 2 +-
 textproc/ebook-tools/Makefile                          | 2 +-
 textproc/fpc-libxml2/Makefile                          | 2 +-
 textproc/gdome2/Makefile                               | 2 +-
 textproc/gmetadom/Makefile                             | 2 +-
 textproc/gspell/Makefile                               | 2 +-
 textproc/gtk-doc/Makefile                              | 2 +-
 textproc/ibus/Makefile                                 | 1 +
 textproc/lasem/Makefile                                | 2 +-
 textproc/libabw/Makefile                               | 2 +-
 textproc/libcroco/Makefile                             | 2 +-
 textproc/libe-book/Makefile                            | 2 +-
 textproc/libextractor/Makefile                         | 2 +-
 textproc/libfo/Makefile                                | 2 +-
 textproc/libfolia/Makefile                             | 2 +-
 textproc/libgepub/Makefile                             | 2 +-
 textproc/liblingoteach/Makefile                        | 2 +-
 textproc/libodfgen01/Makefile                          | 2 +-
 textproc/libtranslate/Makefile                         | 2 +-
 textproc/libvisio01/Makefile                           | 2 +-
 textproc/libwpd010/Makefile                            | 2 +-
 textproc/libxml++26/Makefile                           | 2 +-
 textproc/lttoolbox/Makefile                            | 2 +-
 textproc/p5-XML-CanonicalizeXML/Makefile               | 2 +-
 textproc/p5-XML-LibXML/Makefile                        | 2 +-
 textproc/p5-XML-LibXSLT/Makefile                       | 2 +-
 textproc/php74-dom/Makefile                            | 2 +-
 textproc/php74-simplexml/Makefile                      | 2 +-
 textproc/php74-xml/Makefile                            | 2 +-
 textproc/php74-xmlreader/Makefile                      | 2 +-
 textproc/php74-xmlwriter/Makefile                      | 2 +-
 textproc/php74-xsl/Makefile                            | 2 +-
 textproc/php80-dom/Makefile                            | 2 +-
 textproc/php80-simplexml/Makefile                      | 2 +-
 textproc/php80-xml/Makefile                            | 2 +-
 textproc/php80-xmlreader/Makefile                      | 2 +-
 textproc/php80-xmlwriter/Makefile                      | 2 +-
 textproc/php80-xsl/Makefile                            | 2 +-
 textproc/php81-dom/Makefile                            | 2 +-
 textproc/php81-simplexml/Makefile                      | 2 +-
 textproc/php81-xml/Makefile                            | 2 +-
 textproc/php81-xmlreader/Makefile                      | 2 +-
 textproc/php81-xmlwriter/Makefile                      | 2 +-
 textproc/php81-xsl/Makefile                            | 2 +-
 textproc/py-libxml2/Makefile                           | 2 +-
 textproc/raptor/Makefile                               | 2 +-
 textproc/raptor2/Makefile                              | 2 +-
 textproc/rubygem-libxml-ruby/Makefile                  | 1 +
 textproc/rubygem-nokogiri/Makefile                     | 2 +-
 textproc/rubygem-nokogiri111/Makefile                  | 2 +-
 textproc/rubygem-nokogumbo/Makefile                    | 2 +-
 textproc/rubygem-ruby-augeas/Makefile                  | 2 +-
 textproc/rubygem-ruby-xslt/Makefile                    | 2 +-
 textproc/ssddiff/Makefile                              | 2 +-
 textproc/ucto/Makefile                                 | 2 +-
 textproc/uim/Makefile                                  | 1 +
 textproc/wv/Makefile                                   | 2 +-
 textproc/wv2/Makefile                                  | 2 +-
 textproc/xmlroff/Makefile                              | 2 +-
 textproc/xmlstarlet/Makefile                           | 2 +-
 textproc/xmlwrapp/Makefile                             | 2 +-
 textproc/yelp-tools/Makefile                           | 2 +-
 textproc/yelp-xsl/Makefile                             | 2 +-
 textproc/zorba/Makefile                                | 2 +-
 www/apache24/Makefile                                  | 1 +
 www/aria2/Makefile                                     | 2 +-
 www/bluefish/Makefile                                  | 2 +-
 www/castget/Makefile                                   | 2 +-
 www/chromium/Makefile                                  | 2 +-
 www/cssed/Makefile                                     | 2 +-
 www/davix/Makefile                                     | 2 +-
 www/epiphany/Makefile                                  | 2 +-
 www/flickcurl/Makefile                                 | 2 +-
 www/gnome-user-share/Makefile                          | 2 +-
 www/gstreamer1-plugins-neon/Makefile                   | 2 +-
 www/hiawatha/Makefile                                  | 2 +-
 www/iridium/Makefile                                   | 2 +-
 www/kannel-sqlbox/Makefile                             | 2 +-
 www/kannel/Makefile                                    | 2 +-
 www/midori/Makefile                                    | 2 +-
 www/mod_php74/Makefile                                 | 2 +-
 www/mod_php80/Makefile                                 | 2 +-
 www/mod_php81/Makefile                                 | 2 +-
 www/mod_security/Makefile                              | 2 +-
 www/newsboat/Makefile                                  | 2 +-
 www/nghttp2/Makefile                                   | 2 +-
 www/nginx-full/Makefile                                | 2 +-
 www/pecl-solr/Makefile                                 | 2 +-
 www/py-html5-parser/Makefile                           | 2 +-
 www/qt5-webengine/Makefile                             | 2 +-
 www/qt5-webkit/Makefile                                | 2 +-
 www/rssroll/Makefile                                   | 2 +-
 www/rsstool/Makefile                                   | 2 +-
 www/sitecopy/Makefile                                  | 2 +-
 www/tidy-html5/Makefile                                | 2 +-
 www/trafficserver/Makefile                             | 2 +-
 www/webkit2-gtk3/Makefile                              | 2 +-
 x11-clocks/cairo-clock/Makefile                        | 2 +-
 x11-fm/caja/Makefile                                   | 2 +-
 x11-fm/fsv2/Makefile                                   | 2 +-
 x11-fm/librfm/Makefile                                 | 2 +-
 x11-fm/nautilus-python/Makefile                        | 2 +-
 x11-fm/nemo/Makefile                                   | 2 +-
 x11-fm/polo/Makefile                                   | 2 +-
 x11-fm/rodent/Makefile                                 | 2 +-
 x11-fm/rox-filer/Makefile                              | 2 +-
 x11-fm/sushi/Makefile                                  | 1 +
 x11-fonts/font-manager/Makefile                        | 2 +-
 x11-themes/adapta-backgrounds/Makefile                 | 2 +-
 x11-themes/adapta-gtk-theme/Makefile                   | 2 +-
 x11-themes/gnome-icons-gartoon-redux/Makefile          | 2 +-
 x11-themes/gnome-themes-extra/Makefile                 | 2 +-
 x11-themes/plata-theme/Makefile                        | 2 +-
 x11-toolkits/copperspice/Makefile                      | 2 +-
 x11-toolkits/gdl/Makefile                              | 2 +-
 x11-toolkits/gnocl/Makefile                            | 2 +-
 x11-toolkits/gstreamer1-plugins-gtk/Makefile           | 2 +-
 x11-toolkits/gstreamer1-plugins-pango/Makefile         | 2 +-
 x11-toolkits/gtk-sharp20/Makefile                      | 2 +-
 x11-toolkits/gtkmathview/Makefile                      | 2 +-
 x11-toolkits/gtkmm24/Makefile                          | 2 +-
 x11-toolkits/gtkmm30/Makefile                          | 2 +-
 x11-toolkits/gtksourceview2/Makefile                   | 2 +-
 x11-toolkits/gtksourceview3/Makefile                   | 2 +-
 x11-toolkits/gtksourceview4/Makefile                   | 2 +-
 x11-toolkits/gtksourceview5/Makefile                   | 2 +-
 x11-toolkits/gtksourceviewmm3/Makefile                 | 2 +-
 x11-toolkits/guile-gnome-platform/Makefile             | 2 +-
 x11-toolkits/libsexy/Makefile                          | 2 +-
 x11-toolkits/ocaml-lablgtk2/Makefile                   | 2 +-
 x11-toolkits/p5-Glade2/Makefile                        | 2 +-
 x11-toolkits/p5-Gtk2-GladeXML/Makefile                 | 2 +-
 x11-toolkits/pangomm/Makefile                          | 2 +-
 x11-toolkits/rubygem-gtksourceview3/Makefile           | 2 +-
 x11-toolkits/rubygem-gtksourceview4/Makefile           | 2 +-
 x11-toolkits/tepl/Makefile                             | 2 +-
 x11-toolkits/tepl6/Makefile                            | 2 +-
 x11-toolkits/ztoolkit/Makefile                         | 2 +-
 x11-wm/afterstep-stable/Makefile                       | 2 +-
 x11-wm/compiz-plugins-extra/Makefile                   | 2 +-
 x11-wm/compiz-plugins-main/Makefile                    | 2 +-
 x11-wm/compiz-plugins-unsupported/Makefile             | 2 +-
 x11-wm/compiz/Makefile                                 | 2 +-
 x11-wm/compizconfig-backend-gconf/Makefile             | 2 +-
 x11-wm/labwc/Makefile                                  | 1 +
 x11-wm/libcompizconfig/Makefile                        | 2 +-
 x11-wm/lxappearance-obconf/Makefile                    | 2 +-
 x11-wm/lxsession/Makefile                              | 2 +-
 x11-wm/obconf-qt/Makefile                              | 2 +-
 x11-wm/obconf/Makefile                                 | 2 +-
 x11-wm/openbox/Makefile                                | 2 +-
 x11/alltray/Makefile                                   | 2 +-
 x11/apwal/Makefile                                     | 2 +-
 x11/cinnamon-screensaver/Makefile                      | 2 +-
 x11/cinnamon/Makefile                                  | 2 +-
 x11/gnome-pie/Makefile                                 | 2 +-
 x11/gnome-shell/Makefile                               | 2 +-
 x11/gnome-terminal/Makefile                            | 2 +-
 x11/gstreamer1-plugins-x/Makefile                      | 2 +-
 x11/gstreamer1-plugins-ximagesrc/Makefile              | 2 +-
 x11/gsynaptics/Makefile                                | 2 +-
 x11/jgmenu/Makefile                                    | 2 +-
 x11/keyboardcast/Makefile                              | 2 +-
 x11/libxkbcommon/Makefile                              | 2 +-
 x11/libxklavier/Makefile                               | 2 +-
 x11/lxpanel/Makefile                                   | 2 +-
 x11/mate-applets/Makefile                              | 2 +-
 x11/mate-panel/Makefile                                | 1 +
 x11/mate-session-manager/Makefile                      | 2 +-
 x11/nwg-launchers/Makefile                             | 2 +-
 x11/pipeglade/Makefile                                 | 2 +-
 x11/plank/Makefile                                     | 2 +-
 x11/roxterm/Makefile                                   | 2 +-
 x11/simdock/Makefile                                   | 2 +-
 x11/swaysettings/Makefile                              | 2 +-
 x11/tint/Makefile                                      | 2 +-
 x11/waybar/Makefile                                    | 2 +-
 x11/wbar/Makefile                                      | 2 +-
 x11/wcm/Makefile                                       | 2 +-
 x11/wf-shell/Makefile                                  | 2 +-
 x11/workrave/Makefile                                  | 2 +-
 x11/xapp/Makefile                                      | 2 +-
 x11/xfce4-screenshooter-plugin/Makefile                | 2 +-
 x11/xfce4-terminal/Makefile                            | 1 +
 x11/xkeyboard-config/Makefile                          | 2 +-
 x11/xscreensaver/Makefile                              | 2 +-
 x11/xsnow/Makefile                                     | 2 +-
 x11/yelp/Makefile                                      | 2 +-
 892 files changed, 895 insertions(+), 857 deletions(-)
Comment 14 commit-hook freebsd_committer 2022-04-10 19:16:57 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=57dd5abd6018e0bec9e5b7c406268b349da4b7e7

commit 57dd5abd6018e0bec9e5b7c406268b349da4b7e7
Author:     Charlie Li <vishwin@FreeBSD.org>
AuthorDate: 2022-04-10 18:43:18 +0000
Commit:     Charlie Li <vishwin@FreeBSD.org>
CommitDate: 2022-04-10 19:11:40 +0000

    textproc/{,py-}libxml2: switch back to autotools

    See notes in Makefile and linked PRs.

    While here, disable the ICU option by default. CFLAGS for libicu
    are passed to libxml2's consumers when the option is enabled. As
    icu's API is not stable between versions, PORTREVISION bumps can
    get missed.

    Additionally, properly exclude all OPTIONS from py-libxml2 and
    prevent do-configure from unnecessarily running.

    Co-authored-by: diizzy
    PR: 262853, 262940, 262877
    Approved by: fluffy (mentor)

 textproc/libxml2/Makefile                          | 59 ++++++++++++++--------
 textproc/libxml2/distinfo                          |  6 +--
 textproc/libxml2/files/extra-patch-docs (gone)     | 11 ----
 textproc/libxml2/files/patch-CMakeLists.txt (gone) | 29 -----------
 textproc/libxml2/files/patch-Makefile.in (new)     | 47 +++++++++++++++++
 textproc/libxml2/files/patch-config.h.in (new)     | 11 ++++
 textproc/libxml2/files/patch-configure (new)       | 11 ++++
 .../libxml2/files/patch-libxml-2.0.pc.in (gone)    | 11 ----
 textproc/libxml2/pkg-plist                         | 29 ++---------
 textproc/libxslt/Makefile                          |  6 +--
 textproc/py-libxml2/Makefile                       | 38 +++++---------
 11 files changed, 128 insertions(+), 130 deletions(-)
Comment 15 commit-hook freebsd_committer 2022-04-10 19:53:12 UTC
A commit in branch 2022Q2 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=035e778ee53345464c2d7466a3895e17073ad1f6

commit 035e778ee53345464c2d7466a3895e17073ad1f6
Author:     Charlie Li <vishwin@FreeBSD.org>
AuthorDate: 2022-04-10 19:45:16 +0000
Commit:     Charlie Li <vishwin@FreeBSD.org>
CommitDate: 2022-04-10 19:47:23 +0000

    textproc/libxml2: bump all LIB_DEPENDS consumers

    This is a separate and direct commit to quarterly as PORTREVISIONs
    may not match from main.

    PR: 262853, 262940, 262877
    Approved by: fluffy (mentor)

 accessibility/caribou/Makefile                         | 2 +-
 archivers/file-roller/Makefile                         | 2 +-
 archivers/xar/Makefile                                 | 2 +-
 archivers/xarchiver/Makefile                           | 2 +-
 astro/foxtrotgps/Makefile                              | 2 +-
 astro/gpscorrelate/Makefile                            | 2 +-
 audio/abgate-lv2/Makefile                              | 2 +-
 audio/amarok/Makefile                                  | 2 +-
 audio/aqualung/Makefile                                | 2 +-
 audio/ardour6/Makefile                                 | 2 +-
 audio/ario/Makefile                                    | 2 +-
 audio/denemo/Makefile                                  | 2 +-
 audio/easytag/Makefile                                 | 2 +-
 audio/eq10q-lv2/Makefile                               | 2 +-
 audio/ezstream/Makefile                                | 2 +-
 audio/forked-daapd/Makefile                            | 2 +-
 audio/ganv/Makefile                                    | 2 +-
 audio/gbemol/Makefile                                  | 2 +-
 audio/glurp/Makefile                                   | 2 +-
 audio/gmpc-discogs/Makefile                            | 2 +-
 audio/gmpc-extraplaylist/Makefile                      | 2 +-
 audio/gmpc-lastfm/Makefile                             | 2 +-
 audio/gmpc-lyrics/Makefile                             | 2 +-
 audio/gmpc-lyricsplugin/Makefile                       | 2 +-
 audio/gmpc-magnatune/Makefile                          | 2 +-
 audio/gmpc-mdcover/Makefile                            | 2 +-
 audio/gmpc-mserver/Makefile                            | 2 +-
 audio/gmpc-shout/Makefile                              | 2 +-
 audio/gmpc/Makefile                                    | 2 +-
 audio/gmtp/Makefile                                    | 2 +-
 audio/gnaural/Makefile                                 | 2 +-
 audio/gsequencer/Makefile                              | 2 +-
 audio/gstreamer1-plugins-a52dec/Makefile               | 2 +-
 audio/gstreamer1-plugins-amrnb/Makefile                | 2 +-
 audio/gstreamer1-plugins-amrwbdec/Makefile             | 2 +-
 audio/gstreamer1-plugins-bs2b/Makefile                 | 2 +-
 audio/gstreamer1-plugins-cdparanoia/Makefile           | 2 +-
 audio/gstreamer1-plugins-chromaprint/Makefile          | 2 +-
 audio/gstreamer1-plugins-faac/Makefile                 | 2 +-
 audio/gstreamer1-plugins-faad/Makefile                 | 2 +-
 audio/gstreamer1-plugins-flac/Makefile                 | 2 +-
 audio/gstreamer1-plugins-flite/Makefile                | 2 +-
 audio/gstreamer1-plugins-gme/Makefile                  | 2 +-
 audio/gstreamer1-plugins-gsm/Makefile                  | 2 +-
 audio/gstreamer1-plugins-jack/Makefile                 | 2 +-
 audio/gstreamer1-plugins-ladspa/Makefile               | 2 +-
 audio/gstreamer1-plugins-lame/Makefile                 | 2 +-
 audio/gstreamer1-plugins-lv2/Makefile                  | 2 +-
 audio/gstreamer1-plugins-modplug/Makefile              | 2 +-
 audio/gstreamer1-plugins-mpg123/Makefile               | 2 +-
 audio/gstreamer1-plugins-musepack/Makefile             | 2 +-
 audio/gstreamer1-plugins-ogg/Makefile                  | 2 +-
 audio/gstreamer1-plugins-openmpt/Makefile              | 2 +-
 audio/gstreamer1-plugins-opus/Makefile                 | 2 +-
 audio/gstreamer1-plugins-pulse/Makefile                | 2 +-
 audio/gstreamer1-plugins-shout2/Makefile               | 2 +-
 audio/gstreamer1-plugins-sidplay/Makefile              | 2 +-
 audio/gstreamer1-plugins-sndfile/Makefile              | 2 +-
 audio/gstreamer1-plugins-soundtouch/Makefile           | 2 +-
 audio/gstreamer1-plugins-speex/Makefile                | 2 +-
 audio/gstreamer1-plugins-taglib/Makefile               | 2 +-
 audio/gstreamer1-plugins-twolame/Makefile              | 2 +-
 audio/gstreamer1-plugins-vorbis/Makefile               | 2 +-
 audio/gstreamer1-plugins-wavpack/Makefile              | 2 +-
 audio/gstreamer1-plugins-webrtcdsp/Makefile            | 2 +-
 audio/gtkguitune/Makefile                              | 2 +-
 audio/gtkpod/Makefile                                  | 2 +-
 audio/guitarix-lv2/Makefile                            | 2 +-
 audio/icecast-kh/Makefile                              | 2 +-
 audio/icecast/Makefile                                 | 2 +-
 audio/ices/Makefile                                    | 2 +-
 audio/jalv-select/Makefile                             | 2 +-
 audio/jalv/Makefile                                    | 2 +-
 audio/kid3-qt5/Makefile                                | 2 +-
 audio/lash/Makefile                                    | 2 +-
 audio/libgpod-sharp/Makefile                           | 2 +-
 audio/libgpod/Makefile                                 | 2 +-
 audio/libmusicbrainz5/Makefile                         | 2 +-
 audio/mate-media/Makefile                              | 2 +-
 audio/muse-sequencer/Makefile                          | 2 +-
 audio/paprefs/Makefile                                 | 2 +-
 audio/pavucontrol/Makefile                             | 2 +-
 audio/plasma5-plasma-pa/Makefile                       | 1 +
 audio/psindustrializer/Makefile                        | 2 +-
 audio/pulseeffects/Makefile                            | 2 +-
 audio/qtractor/Makefile                                | 2 +-
 audio/rhythmbox/Makefile                               | 2 +-
 audio/tagtool/Makefile                                 | 2 +-
 audio/vst3sdk/Makefile                                 | 2 +-
 audio/zplugins-lv2/Makefile                            | 1 +
 audio/zrythm/Makefile                                  | 2 +-
 biology/libnuml/Makefile                               | 2 +-
 biology/libsbml/Makefile                               | 2 +-
 biology/libsedml/Makefile                              | 2 +-
 biology/ncbi-vdb/Makefile                              | 2 +-
 biology/sra-tools/Makefile                             | 2 +-
 cad/horizon-eda/Makefile                               | 2 +-
 cad/ifcopenshell/Makefile                              | 2 +-
 cad/opencascade/Makefile                               | 2 +-
 cad/openscad-devel/Makefile                            | 2 +-
 cad/openscad/Makefile                                  | 2 +-
 cad/openvsp/Makefile                                   | 2 +-
 cad/oregano/Makefile                                   | 2 +-
 cad/repsnapper/Makefile                                | 2 +-
 cad/solvespace/Makefile                                | 2 +-
 chinese/fcitx/Makefile                                 | 2 +-
 comms/gnocky/Makefile                                  | 2 +-
 comms/gstreamer1-plugins-spandsp/Makefile              | 2 +-
 comms/hamlib/Makefile                                  | 2 +-
 comms/xastir/Makefile                                  | 2 +-
 converters/xml2c/Makefile                              | 2 +-
 databases/akonadi/Makefile                             | 2 +-
 databases/evolution-data-server/Makefile               | 1 +
 databases/gmdb2/Makefile                               | 2 +-
 databases/kbibtex/Makefile                             | 2 +-
 databases/libgda5-bdb/Makefile                         | 2 +-
 databases/libgda5-jdbc/Makefile                        | 2 +-
 databases/libgda5-ldap/Makefile                        | 2 +-
 databases/libgda5-mdb/Makefile                         | 2 +-
 databases/libgda5-mysql/Makefile                       | 2 +-
 databases/libgda5-postgresql/Makefile                  | 2 +-
 databases/libgda5-ui/Makefile                          | 2 +-
 databases/libgda5/Makefile                             | 2 +-
 databases/libgdamm5/Makefile                           | 2 +-
 databases/mariadb103-server/Makefile                   | 2 +-
 databases/mariadb104-server/Makefile                   | 2 +-
 databases/mariadb105-server/Makefile                   | 2 +-
 databases/mariadb106-server/Makefile                   | 2 +-
 databases/pgadmin3/Makefile                            | 2 +-
 databases/pgbackrest/Makefile                          | 2 +-
 databases/pgmodeler/Makefile                           | 2 +-
 databases/pointcloud/Makefile                          | 2 +-
 databases/postgis30/Makefile                           | 2 +-
 databases/postgis31/Makefile                           | 2 +-
 databases/postgis32/Makefile                           | 2 +-
 databases/postgresql10-contrib/Makefile                | 2 +-
 databases/postgresql11-contrib/Makefile                | 2 +-
 databases/postgresql12-contrib/Makefile                | 2 +-
 databases/postgresql13-contrib/Makefile                | 2 +-
 databases/postgresql14-contrib/Makefile                | 2 +-
 databases/qof/Makefile                                 | 2 +-
 databases/rrdtool/Makefile                             | 2 +-
 databases/sequeler/Makefile                            | 2 +-
 databases/spatialite-tools/Makefile                    | 2 +-
 databases/spatialite/Makefile                          | 2 +-
 databases/spatialite_gui/Makefile                      | 2 +-
 databases/sqliteodbc/Makefile                          | 2 +-
 databases/virtuoso/Makefile                            | 2 +-
 databases/xrootd/Makefile                              | 2 +-
 deskutils/alarm-clock-applet/Makefile                  | 2 +-
 deskutils/bijiben/Makefile                             | 2 +-
 deskutils/bookworm/Makefile                            | 2 +-
 deskutils/cairo-dock-plugins/Makefile                  | 2 +-
 deskutils/cairo-dock/Makefile                          | 2 +-
 deskutils/easystroke/Makefile                          | 2 +-
 deskutils/elementary-calendar/Makefile                 | 2 +-
 deskutils/genius/Makefile                              | 2 +-
 deskutils/glabels/Makefile                             | 2 +-
 deskutils/gnome-calendar/Makefile                      | 2 +-
 deskutils/gnome-contacts/Makefile                      | 2 +-
 deskutils/gnome-dictionary/Makefile                    | 2 +-
 deskutils/gnome-documents/Makefile                     | 2 +-
 deskutils/gnome-maps/Makefile                          | 2 +-
 deskutils/gnome-photos/Makefile                        | 2 +-
 deskutils/gnome-todo/Makefile                          | 2 +-
 deskutils/gnome-tweaks/Makefile                        | 2 +-
 deskutils/gnote/Makefile                               | 2 +-
 deskutils/growl-for-linux/Makefile                     | 2 +-
 deskutils/gxneur/Makefile                              | 2 +-
 deskutils/lookbook/Makefile                            | 2 +-
 deskutils/mate-notification-daemon/Makefile            | 1 +
 deskutils/notekit/Makefile                             | 2 +-
 deskutils/osmo/Makefile                                | 2 +-
 deskutils/pinot/Makefile                               | 2 +-
 deskutils/py-autokey/Makefile                          | 2 +-
 deskutils/recoll/Makefile                              | 2 +-
 deskutils/rubrica/Makefile                             | 2 +-
 deskutils/synapse/Makefile                             | 2 +-
 deskutils/sysctlview/Makefile                          | 2 +-
 deskutils/virt-manager/Makefile                        | 2 +-
 deskutils/xfce4-tumbler/Makefile                       | 2 +-
 deskutils/xfce4-xkb-plugin/Makefile                    | 2 +-
 deskutils/xpad/Makefile                                | 2 +-
 devel/aegis/Makefile                                   | 2 +-
 devel/anjuta/Makefile                                  | 2 +-
 devel/appstream/Makefile                               | 2 +-
 devel/autogen/Makefile                                 | 2 +-
 devel/collada-dom/Makefile                             | 2 +-
 devel/compiz-bcop/Makefile                             | 2 +-
 devel/csoap/Makefile                                   | 2 +-
 devel/dconf/Makefile                                   | 2 +-
 devel/dia2code+/Makefile                               | 2 +-
 devel/dia2code/Makefile                                | 2 +-
 devel/electron13/Makefile                              | 2 +-
 devel/flang-clang/Makefile                             | 2 +-
 devel/frama-c/Makefile                                 | 2 +-
 devel/gconf2/Makefile                                  | 2 +-
 devel/gconfmm26/Makefile                               | 2 +-
 devel/geany-plugin-pretty-printer/Makefile             | 2 +-
 devel/gitg/Makefile                                    | 2 +-
 devel/glib20/Makefile                                  | 2 +-
 devel/gnome-builder/Makefile                           | 2 +-
 devel/goffice/Makefile                                 | 2 +-
 devel/gstreamer1-plugins-soup/Makefile                 | 2 +-
 devel/gtranslator/Makefile                             | 2 +-
 devel/gvfs/Makefile                                    | 2 +-
 devel/hwloc/Makefile                                   | 2 +-
 devel/hwloc2/Makefile                                  | 2 +-
 devel/kf5-kdoctools/Makefile                           | 2 +-
 devel/kf5-kio/Makefile                                 | 2 +-
 devel/libabigail/Makefile                              | 2 +-
 devel/libaravis/Makefile                               | 2 +-
 devel/libassetml/Makefile                              | 2 +-
 devel/libdap/Makefile                                  | 2 +-
 devel/libdbusmenu/Makefile                             | 2 +-
 devel/libgdata/Makefile                                | 2 +-
 devel/libght/Makefile                                  | 2 +-
 devel/libglade2/Makefile                               | 2 +-
 devel/libglademm24/Makefile                            | 2 +-
 devel/libgnt/Makefile                                  | 2 +-
 devel/libgsf/Makefile                                  | 2 +-
 devel/libical/Makefile                                 | 2 +-
 devel/libiqxmlrpc/Makefile                             | 2 +-
 devel/liblangtag/Makefile                              | 2 +-
 devel/libosinfo/Makefile                               | 2 +-
 devel/libplist/Makefile                                | 2 +-
 devel/libqb/Makefile                                   | 2 +-
 devel/librcc/Makefile                                  | 2 +-
 devel/librest/Makefile                                 | 2 +-
 devel/libsmpp34/Makefile                               | 2 +-
 devel/libsoup/Makefile                                 | 2 +-
 devel/libsoup3/Makefile                                | 2 +-
 devel/libvirt-glib/Makefile                            | 2 +-
 devel/libvirt/Makefile                                 | 2 +-
 devel/llvm-cheri/Makefile                              | 2 +-
 devel/llvm-devel/Makefile                              | 2 +-
 devel/llvm10/Makefile                                  | 2 +-
 devel/llvm11/Makefile                                  | 2 +-
 devel/llvm12/Makefile                                  | 2 +-
 devel/llvm13/Makefile                                  | 2 +-
 devel/llvm14/Makefile                                  | 2 +-
 devel/llvm70/Makefile                                  | 2 +-
 devel/llvm80/Makefile                                  | 2 +-
 devel/llvm90/Makefile                                  | 2 +-
 devel/m17n-lib/Makefile                                | 2 +-
 devel/msitools/Makefile                                | 2 +-
 devel/py-lxml/Makefile                                 | 2 +-
 devel/regexxer/Makefile                                | 2 +-
 devel/shiboken2/Makefile                               | 2 +-
 devel/smooth/Makefile                                  | 2 +-
 devel/sope/Makefile                                    | 2 +-
 devel/sope2/Makefile                                   | 2 +-
 devel/tclxml/Makefile                                  | 2 +-
 devel/ticcutils/Makefile                               | 2 +-
 devel/umbrello/Makefile                                | 2 +-
 devel/universal-ctags/Makefile                         | 2 +-
 devel/wf-config/Makefile                               | 2 +-
 devel/xdg-user-dirs/Makefile                           | 2 +-
 devel/z88dk/Makefile                                   | 2 +-
 devel/zapcc/Makefile                                   | 2 +-
 dns/bind9-devel/Makefile                               | 4 ++--
 dns/bind916/Makefile                                   | 4 ++--
 dns/bind918/Makefile                                   | 4 ++--
 dns/opendnssec2/Makefile                               | 2 +-
 editors/abiword/Makefile                               | 2 +-
 editors/diamond/Makefile                               | 2 +-
 editors/elementary-code/Makefile                       | 2 +-
 editors/emacs-devel/Makefile                           | 1 +
 editors/emacs/Makefile                                 | 2 +-
 editors/gedit-plugins/Makefile                         | 2 +-
 editors/gedit/Makefile                                 | 2 +-
 editors/gnome-latex/Makefile                           | 2 +-
 editors/gobby/Makefile                                 | 2 +-
 editors/gummi/Makefile                                 | 2 +-
 editors/jucipp/Makefile                                | 2 +-
 editors/libreoffice/Makefile                           | 2 +-
 editors/marker/Makefile                                | 2 +-
 editors/morla/Makefile                                 | 2 +-
 editors/mousepad/Makefile                              | 1 +
 editors/openoffice-4/Makefile                          | 2 +-
 editors/openoffice-devel/Makefile                      | 2 +-
 editors/pluma-plugins/Makefile                         | 2 +-
 editors/pluma/Makefile                                 | 2 +-
 editors/quilter/Makefile                               | 2 +-
 editors/setzer/Makefile                                | 2 +-
 editors/vscode/Makefile                                | 2 +-
 editors/xed/Makefile                                   | 2 +-
 editors/xmlcopyeditor/Makefile                         | 2 +-
 emulators/catapult/Makefile                            | 2 +-
 emulators/fuse/Makefile                                | 2 +-
 emulators/higan/Makefile                               | 2 +-
 emulators/nemu/Makefile                                | 2 +-
 emulators/open-vm-tools/Makefile                       | 2 +-
 emulators/qemu-cheri/Makefile                          | 2 +-
 emulators/qemu-devel/Makefile                          | 2 +-
 emulators/qemu-powernv/Makefile                        | 2 +-
 emulators/qemu5/Makefile                               | 2 +-
 emulators/snes9x-gtk/Makefile                          | 2 +-
 emulators/tiemu3/Makefile                              | 2 +-
 emulators/virtualbox-ose-legacy/Makefile               | 2 +-
 emulators/virtualbox-ose-nox11-legacy/Makefile         | 2 +-
 emulators/virtualbox-ose-nox11/Makefile                | 2 +-
 emulators/virtualbox-ose/Makefile                      | 2 +-
 emulators/wine-proton/Makefile                         | 2 +-
 emulators/wine/Makefile                                | 2 +-
 finance/gnucash-docs/Makefile                          | 1 +
 finance/gnucash/Makefile                               | 1 +
 finance/grisbi/Makefile                                | 2 +-
 finance/libofx/Makefile                                | 2 +-
 finance/odoo/Makefile                                  | 2 +-
 finance/quickfix/Makefile                              | 2 +-
 french/verbiste/Makefile                               | 2 +-
 ftp/R-cran-RCurl/Makefile                              | 2 +-
 ftp/gstreamer1-plugins-curl/Makefile                   | 2 +-
 games/0ad/Makefile                                     | 2 +-
 games/armagetronad/Makefile                            | 2 +-
 games/bombherman/Makefile                              | 2 +-
 games/colobot/Makefile                                 | 1 +
 games/el/Makefile                                      | 2 +-
 games/exult/Makefile                                   | 2 +-
 games/five-or-more/Makefile                            | 2 +-
 games/freedoko/Makefile                                | 2 +-
 games/gtkatlantic/Makefile                             | 2 +-
 games/gtkevemon/Makefile                               | 2 +-
 games/gtkradiant/Makefile                              | 2 +-
 games/libmaitretarot/Makefile                          | 2 +-
 games/libmt_client/Makefile                            | 2 +-
 games/lincity-ng/Makefile                              | 2 +-
 games/lordsawar/Makefile                               | 2 +-
 games/maitretarot/Makefile                             | 2 +-
 games/manaplus/Makefile                                | 2 +-
 games/mt_dolphin_ia/Makefile                           | 2 +-
 games/mt_gtk_client/Makefile                           | 2 +-
 games/naev/Makefile                                    | 2 +-
 games/netradiant/Makefile                              | 2 +-
 games/openlierox/Makefile                              | 2 +-
 games/py-pychess/Makefile                              | 2 +-
 games/tuxmath/Makefile                                 | 2 +-
 games/tuxtype/Makefile                                 | 2 +-
 games/xboard-devel/Makefile                            | 2 +-
 games/xboard/Makefile                                  | 2 +-
 games/xmoto/Makefile                                   | 2 +-
 graphics/GraphicsMagick/Makefile                       | 2 +-
 graphics/ImageMagick6/Makefile                         | 1 +
 graphics/ImageMagick7/Makefile                         | 1 +
 graphics/art/Makefile                                  | 2 +-
 graphics/aseprite/Makefile                             | 2 +-
 graphics/atril-lite/Makefile                           | 2 +-
 graphics/atril/Makefile                                | 2 +-
 graphics/autopano-sift-c/Makefile                      | 2 +-
 graphics/blender-lts28/Makefile                        | 2 +-
 graphics/blender-lts29/Makefile                        | 2 +-
 graphics/blender/Makefile                              | 2 +-
 graphics/cairomm/Makefile                              | 2 +-
 graphics/cegui/Makefile                                | 2 +-
 graphics/cluttermm/Makefile                            | 2 +-
 graphics/cptutils/Makefile                             | 2 +-
 graphics/darktable/Makefile                            | 2 +-
 graphics/dcmtk/Makefile                                | 2 +-
 graphics/delaboratory/Makefile                         | 2 +-
 graphics/dia/Makefile                                  | 2 +-
 graphics/digikam/Makefile                              | 2 +-
 graphics/elementary-photos/Makefile                    | 2 +-
 graphics/eog-plugins/Makefile                          | 2 +-
 graphics/eom/Makefile                                  | 2 +-
 graphics/evince/Makefile                               | 2 +-
 graphics/flam3/Makefile                                | 2 +-
 graphics/fpc-rsvg/Makefile                             | 1 +
 graphics/frogr/Makefile                                | 2 +-
 graphics/fyre/Makefile                                 | 2 +-
 graphics/gdal/Makefile                                 | 1 +
 graphics/gdk-pixbuf2/Makefile                          | 2 +-
 graphics/gimageview/Makefile                           | 2 +-
 graphics/gimmage/Makefile                              | 2 +-
 graphics/gnash/Makefile                                | 2 +-
 graphics/goocanvasmm2/Makefile                         | 2 +-
 graphics/gpaint/Makefile                               | 2 +-
 graphics/gstreamer1-plugins-aalib/Makefile             | 2 +-
 graphics/gstreamer1-plugins-cairo/Makefile             | 2 +-
 graphics/gstreamer1-plugins-gdkpixbuf/Makefile         | 2 +-
 graphics/gstreamer1-plugins-gl/Makefile                | 2 +-
 graphics/gstreamer1-plugins-jpeg/Makefile              | 2 +-
 graphics/gstreamer1-plugins-kms/Makefile               | 2 +-
 graphics/gstreamer1-plugins-libcaca/Makefile           | 2 +-
 graphics/gstreamer1-plugins-libvisual/Makefile         | 2 +-
 graphics/gstreamer1-plugins-opencv/Makefile            | 2 +-
 graphics/gstreamer1-plugins-openexr/Makefile           | 2 +-
 graphics/gstreamer1-plugins-openjpeg/Makefile          | 2 +-
 graphics/gstreamer1-plugins-png/Makefile               | 2 +-
 graphics/gstreamer1-plugins-qt/Makefile                | 2 +-
 graphics/gstreamer1-plugins-rsvg/Makefile              | 2 +-
 graphics/gstreamer1-plugins-vulkan/Makefile            | 2 +-
 graphics/gstreamer1-plugins-webp/Makefile              | 2 +-
 graphics/gstreamer1-plugins-zbar/Makefile              | 2 +-
 graphics/gthumb/Makefile                               | 2 +-
 graphics/iccxml/Makefile                               | 2 +-
 graphics/ikona/Makefile                                | 2 +-
 graphics/inkscape/Makefile                             | 2 +-
 graphics/libafterimage/Makefile                        | 2 +-
 graphics/libetonyek01/Makefile                         | 2 +-
 graphics/libgnomecanvasmm26/Makefile                   | 2 +-
 graphics/libgphoto2/Makefile                           | 2 +-
 graphics/libkdcraw/Makefile                            | 2 +-
 graphics/libopenraw/Makefile                           | 2 +-
 graphics/librsvg2-rust/Makefile                        | 2 +-
 graphics/librsvg2/Makefile                             | 2 +-
 graphics/libsvg/Makefile                               | 2 +-
 graphics/minder/Makefile                               | 2 +-
 graphics/nip2/Makefile                                 | 2 +-
 graphics/opencollada/Makefile                          | 2 +-
 graphics/openfx-arena/Makefile                         | 2 +-
 graphics/oyranos/Makefile                              | 2 +-
 graphics/photoflow/Makefile                            | 2 +-
 graphics/pinpoint/Makefile                             | 2 +-
 graphics/poppler-glib/Makefile                         | 2 +-
 graphics/poppler-qt5/Makefile                          | 2 +-
 graphics/poppler-utils/Makefile                        | 2 +-
 graphics/poppler/Makefile                              | 1 +
 graphics/qgis-ltr/Makefile                             | 2 +-
 graphics/qgis/Makefile                                 | 2 +-
 graphics/rawstudio/Makefile                            | 2 +-
 graphics/rawtherapee/Makefile                          | 2 +-
 graphics/sane-airscan/Makefile                         | 2 +-
 graphics/sane-backends/Makefile                        | 2 +-
 graphics/shotwell/Makefile                             | 2 +-
 graphics/swfmill/Makefile                              | 2 +-
 graphics/synfig/Makefile                               | 2 +-
 graphics/synfigstudio/Makefile                         | 2 +-
 graphics/tinyows/Makefile                              | 2 +-
 graphics/vips/Makefile                                 | 2 +-
 graphics/waffle/Makefile                               | 2 +-
 graphics/wayland/Makefile                              | 2 +-
 graphics/xournal/Makefile                              | 2 +-
 graphics/xournalpp/Makefile                            | 2 +-
 graphics/yafaray/Makefile                              | 2 +-
 irc/hexchat/Makefile                                   | 2 +-
 japanese/im-ja/Makefile                                | 2 +-
 java/openjfx14/Makefile                                | 2 +-
 lang/cling/Makefile                                    | 2 +-
 lang/ferite/Makefile                                   | 2 +-
 lang/gnustep-base/Makefile                             | 2 +-
 lang/php74/Makefile                                    | 2 +-
 lang/php80/Makefile                                    | 2 +-
 lang/php81/Makefile                                    | 2 +-
 lang/vala/Makefile                                     | 2 +-
 mail/astroid/Makefile                                  | 2 +-
 mail/balsa/Makefile                                    | 2 +-
 mail/claws-mail/Makefile                               | 1 +
 mail/cone/Makefile                                     | 2 +-
 mail/evolution-ews/Makefile                            | 1 +
 mail/evolution/Makefile                                | 1 +
 mail/geary/Makefile                                    | 2 +-
 mail/gnubiff/Makefile                                  | 2 +-
 math/R-cran-igraph/Makefile                            | 2 +-
 math/cadabra2/Makefile                                 | 2 +-
 math/coq/Makefile                                      | 2 +-
 math/drgeo/Makefile                                    | 2 +-
 math/ggobi/Makefile                                    | 2 +-
 math/gkmap/Makefile                                    | 2 +-
 math/gnome-calculator/Makefile                         | 2 +-
 math/gnumeric/Makefile                                 | 2 +-
 math/gretl/Makefile                                    | 2 +-
 math/igraph/Makefile                                   | 2 +-
 math/libqalculate/Makefile                             | 2 +-
 math/mate-calc/Makefile                                | 2 +-
 math/mdal/Makefile                                     | 2 +-
 math/openturns/Makefile                                | 2 +-
 math/pdal/Makefile                                     | 2 +-
 math/polymake/Makefile                                 | 2 +-
 math/pspp/Makefile                                     | 2 +-
 math/py-python-igraph/Makefile                         | 2 +-
 math/qalculate-gtk/Makefile                            | 2 +-
 math/sc-im/Makefile                                    | 2 +-
 math/scilab/Makefile                                   | 2 +-
 math/tablix/Makefile                                   | 2 +-
 math/timbl/Makefile                                    | 2 +-
 misc/copperspice-examples/Makefile                     | 2 +-
 misc/gimp-help-en/Makefile                             | 2 +-
 misc/hotkeys/Makefile                                  | 2 +-
 misc/iio-oscilloscope/Makefile                         | 2 +-
 misc/libcomps/Makefile                                 | 2 +-
 misc/libiio/Makefile                                   | 2 +-
 misc/liblxi/Makefile                                   | 2 +-
 misc/librepo/Makefile                                  | 2 +-
 misc/libsupertone/Makefile                             | 2 +-
 misc/parley/Makefile                                   | 2 +-
 misc/shared-mime-info/Makefile                         | 1 +
 misc/tellico/Makefile                                  | 2 +-
 misc/timezonemap/Makefile                              | 1 +
 misc/visp/Makefile                                     | 2 +-
 misc/xfce4-weather-plugin/Makefile                     | 2 +-
 misc/xiphos/Makefile                                   | 2 +-
 multimedia/audacious-plugins/Makefile                  | 2 +-
 multimedia/avidemux-cli/Makefile                       | 2 +-
 multimedia/avidemux-plugins/Makefile                   | 2 +-
 multimedia/avidemux-qt5/Makefile                       | 2 +-
 multimedia/avidemux/Makefile                           | 2 +-
 multimedia/dvdauthor/Makefile                          | 2 +-
 multimedia/ffmpeg/Makefile                             | 2 +-
 multimedia/gmerlin/Makefile                            | 2 +-
 multimedia/gstreamer1-editing-services/Makefile        | 2 +-
 multimedia/gstreamer1-plugins-aom/Makefile             | 2 +-
 multimedia/gstreamer1-plugins-assrender/Makefile       | 2 +-
 multimedia/gstreamer1-plugins-bad/Makefile             | 2 +-
 multimedia/gstreamer1-plugins-dash/Makefile            | 2 +-
 multimedia/gstreamer1-plugins-dts/Makefile             | 2 +-
 multimedia/gstreamer1-plugins-dv/Makefile              | 2 +-
 multimedia/gstreamer1-plugins-dvdread/Makefile         | 2 +-
 multimedia/gstreamer1-plugins-good/Makefile            | 2 +-
 multimedia/gstreamer1-plugins-hls/Makefile             | 2 +-
 multimedia/gstreamer1-plugins-kate/Makefile            | 2 +-
 multimedia/gstreamer1-plugins-libde265/Makefile        | 2 +-
 multimedia/gstreamer1-plugins-mpeg2dec/Makefile        | 2 +-
 multimedia/gstreamer1-plugins-mpeg2enc/Makefile        | 2 +-
 multimedia/gstreamer1-plugins-mplex/Makefile           | 2 +-
 multimedia/gstreamer1-plugins-msdk/Makefile            | 2 +-
 multimedia/gstreamer1-plugins-openh264/Makefile        | 2 +-
 multimedia/gstreamer1-plugins-resindvd/Makefile        | 2 +-
 multimedia/gstreamer1-plugins-rtmp/Makefile            | 2 +-
 multimedia/gstreamer1-plugins-smoothstreaming/Makefile | 2 +-
 multimedia/gstreamer1-plugins-theora/Makefile          | 2 +-
 multimedia/gstreamer1-plugins-ttml/Makefile            | 2 +-
 multimedia/gstreamer1-plugins-ugly/Makefile            | 2 +-
 multimedia/gstreamer1-plugins-v4l2/Makefile            | 2 +-
 multimedia/gstreamer1-plugins-vpx/Makefile             | 2 +-
 multimedia/gstreamer1-plugins-x264/Makefile            | 2 +-
 multimedia/gstreamer1-plugins-x265/Makefile            | 2 +-
 multimedia/gstreamer1-plugins/Makefile                 | 2 +-
 multimedia/gstreamermm/Makefile                        | 2 +-
 multimedia/handbrake/Makefile                          | 2 +-
 multimedia/imagination/Makefile                        | 2 +-
 multimedia/kodi/Makefile                               | 2 +-
 multimedia/libbluray/Makefile                          | 2 +-
 multimedia/mlt6/Makefile                               | 2 +-
 multimedia/mlt7/Makefile                               | 2 +-
 multimedia/mythtv-frontend/Makefile                    | 2 +-
 multimedia/mythtv/Makefile                             | 2 +-
 multimedia/ogmrip/Makefile                             | 2 +-
 multimedia/phonon-gstreamer/Makefile                   | 2 +-
 multimedia/totem-pl-parser/Makefile                    | 2 +-
 multimedia/totem/Makefile                              | 2 +-
 multimedia/vcdimager/Makefile                          | 2 +-
 multimedia/vlc/Makefile                                | 2 +-
 net-im/folks/Makefile                                  | 2 +-
 net-im/fractal/Makefile                                | 2 +-
 net-im/kopete/Makefile                                 | 2 +-
 net-im/libaccounts-glib/Makefile                       | 2 +-
 net-im/libpurple/Makefile                              | 2 +-
 net-im/pidgin-sipe/Makefile                            | 2 +-
 net-im/pidgin-twitter/Makefile                         | 2 +-
 net-im/telepathy-farstream/Makefile                    | 2 +-
 net-im/telepathy-gabble/Makefile                       | 2 +-
 net-im/telepathy-glib/Makefile                         | 2 +-
 net-im/telepathy-idle/Makefile                         | 2 +-
 net-im/telepathy-logger-qt5/Makefile                   | 2 +-
 net-im/telepathy-logger/Makefile                       | 2 +-
 net-im/telepathy-mission-control/Makefile              | 2 +-
 net-im/telepathy-qt/Makefile                           | 2 +-
 net-im/telepathy-salut/Makefile                        | 2 +-
 net-mgmt/lldpd/Makefile                                | 2 +-
 net-mgmt/ndpmon/Makefile                               | 2 +-
 net-mgmt/torrus/Makefile                               | 2 +-
 net-mgmt/virt-viewer/Makefile                          | 2 +-
 net-p2p/dclib/Makefile                                 | 2 +-
 net-p2p/deluge/Makefile                                | 2 +-
 net-p2p/gtk-gnutella/Makefile                          | 2 +-
 net-p2p/linuxdcpp/Makefile                             | 2 +-
 net-p2p/microdc2/Makefile                              | 2 +-
 net-p2p/minder/Makefile                                | 2 +-
 net-p2p/retroshare/Makefile                            | 2 +-
 net/Sockets/Makefile                                   | 2 +-
 net/asterisk16/Makefile                                | 1 +
 net/asterisk18/Makefile                                | 1 +
 net/ceph14/Makefile                                    | 2 +-
 net/fort/Makefile                                      | 2 +-
 net/gfbgraph/Makefile                                  | 2 +-
 net/glusterfs/Makefile                                 | 2 +-
 net/gnome-online-accounts/Makefile                     | 2 +-
 net/gnome-online-miners/Makefile                       | 2 +-
 net/gq/Makefile                                        | 2 +-
 net/grilo-plugins/Makefile                             | 2 +-
 net/grilo/Makefile                                     | 2 +-
 net/gstreamer1-plugins-libmms/Makefile                 | 2 +-
 net/gstreamer1-plugins-srtp/Makefile                   | 2 +-
 net/gupnp-av/Makefile                                  | 2 +-
 net/gupnp-dlna/Makefile                                | 2 +-
 net/gupnp-tools/Makefile                               | 2 +-
 net/gupnp/Makefile                                     | 2 +-
 net/kamailio/Makefile                                  | 2 +-
 net/kitinerary/Makefile                                | 2 +-
 net/libcmis/Makefile                                   | 2 +-
 net/libgnetwork/Makefile                               | 2 +-
 net/libgrss/Makefile                                   | 2 +-
 net/libgweather/Makefile                               | 2 +-
 net/libgweather4/Makefile                              | 2 +-
 net/liblinphone/Makefile                               | 2 +-
 net/libmateweather/Makefile                            | 2 +-
 net/liferea/Makefile                                   | 2 +-
 net/mobile-broadband-provider-info/Makefile            | 2 +-
 net/ns3/Makefile                                       | 2 +-
 net/opensips31/Makefile                                | 2 +-
 net/pacemaker1/Makefile                                | 2 +-
 net/pacemaker2/Makefile                                | 2 +-
 net/pecl-xmlrpc/Makefile                               | 2 +-
 net/php74-soap/Makefile                                | 2 +-
 net/php74-xmlrpc/Makefile                              | 2 +-
 net/php80-soap/Makefile                                | 2 +-
 net/php81-soap/Makefile                                | 2 +-
 net/rubygem-ovirt-engine-sdk/Makefile                  | 2 +-
 net/vinagre/Makefile                                   | 2 +-
 net/wireshark/Makefile                                 | 1 +
 net/yaz/Makefile                                       | 2 +-
 news/nzbget/Makefile                                   | 2 +-
 print/fontforge/Makefile                               | 2 +-
 print/foomatic-db-engine/Makefile                      | 2 +-
 print/miktex/Makefile                                  | 2 +-
 print/pdfchain/Makefile                                | 2 +-
 print/scribus-devel/Makefile                           | 2 +-
 print/simple-fb2-reader/Makefile                       | 2 +-
 print/xreader/Makefile                                 | 2 +-
 science/abinit/Makefile                                | 2 +-
 science/afni/Makefile                                  | 2 +-
 science/chemical-mime-data/Makefile                    | 2 +-
 science/chrono/Makefile                                | 2 +-
 science/code_saturne/Makefile                          | 2 +-
 science/fleur/Makefile                                 | 2 +-
 science/gchemutils/Makefile                            | 2 +-
 science/ghemical/Makefile                              | 2 +-
 science/ghmm/Makefile                                  | 2 +-
 science/gromacs/Makefile                               | 2 +-
 science/lammps/Makefile                                | 2 +-
 science/openbabel/Makefile                             | 2 +-
 science/orthanc/Makefile                               | 2 +-
 science/py-pymol/Makefile                              | 2 +-
 science/qmcpack/Makefile                               | 2 +-
 science/qwalk/Makefile                                 | 2 +-
 security/beid/Makefile                                 | 2 +-
 security/bzrtp/Makefile                                | 2 +-
 security/clamav-lts/Makefile                           | 2 +-
 security/clamav/Makefile                               | 2 +-
 security/gnome-keyring/Makefile                        | 2 +-
 security/gnomint/Makefile                              | 2 +-
 security/gonepass/Makefile                             | 2 +-
 security/greenbone-security-assistant/Makefile         | 2 +-
 security/gstreamer1-plugins-dtls/Makefile              | 2 +-
 security/gvm-libs/Makefile                             | 2 +-
 security/gvmd/Makefile                                 | 2 +-
 security/kc24/Makefile                                 | 2 +-
 security/lasso/Makefile                                | 2 +-
 security/lastpass-cli/Makefile                         | 2 +-
 security/libsecret/Makefile                            | 2 +-
 security/modsecurity3/Makefile                         | 2 +-
 security/oath-toolkit/Makefile                         | 2 +-
 security/openconnect/Makefile                          | 2 +-
 security/pwman/Makefile                                | 2 +-
 security/py-xmlsec/Makefile                            | 2 +-
 security/stoken/Makefile                               | 2 +-
 security/xmlsec1/Makefile                              | 2 +-
 sysutils/accountsservice/Makefile                      | 2 +-
 sysutils/brasero/Makefile                              | 2 +-
 sysutils/bulk_extractor/Makefile                       | 2 +-
 sysutils/cfengine-devel/Makefile                       | 2 +-
 sysutils/cfengine316/Makefile                          | 2 +-
 sysutils/cfengine317/Makefile                          | 2 +-
 sysutils/cfengine318/Makefile                          | 2 +-
 sysutils/cfengine319/Makefile                          | 2 +-
 sysutils/cinnamon-control-center/Makefile              | 2 +-
 sysutils/cinnamon-settings-daemon/Makefile             | 2 +-
 sysutils/cluster-glue/Makefile                         | 2 +-
 sysutils/consolekit2/Makefile                          | 2 +-
 sysutils/fusefs-s3fs/Makefile                          | 2 +-
 sysutils/gapcmon/Makefile                              | 2 +-
 sysutils/gconf-editor/Makefile                         | 2 +-
 sysutils/gksu/Makefile                                 | 2 +-
 sysutils/gnome-control-center/Makefile                 | 2 +-
 sysutils/gnome-system-monitor/Makefile                 | 2 +-
 sysutils/graveman/Makefile                             | 2 +-
 sysutils/gsmartcontrol/Makefile                        | 2 +-
 sysutils/gstreamer1-plugins-cdio/Makefile              | 2 +-
 sysutils/istatserver/Makefile                          | 2 +-
 sysutils/jstest-gtk/Makefile                           | 2 +-
 sysutils/khelpcenter/Makefile                          | 2 +-
 sysutils/libgksu/Makefile                              | 2 +-
 sysutils/ltfs/Makefile                                 | 2 +-
 sysutils/lttng-tools/Makefile                          | 2 +-
 sysutils/mate-control-center/Makefile                  | 2 +-
 sysutils/mate-system-monitor/Makefile                  | 2 +-
 sysutils/nitrogen/Makefile                             | 2 +-
 sysutils/osinfo-db-tools/Makefile                      | 2 +-
 sysutils/pam_mount/Makefile                            | 2 +-
 sysutils/quicksynergy/Makefile                         | 2 +-
 sysutils/tracker-miners/Makefile                       | 2 +-
 sysutils/tracker/Makefile                              | 2 +-
 sysutils/tracker3/Makefile                             | 2 +-
 sysutils/upower/Makefile                               | 1 +
 sysutils/wimlib/Makefile                               | 2 +-
 sysutils/xen-tools/Makefile                            | 2 +-
 sysutils/xvidcap/Makefile                              | 2 +-
 textproc/R-cran-XML/Makefile                           | 2 +-
 textproc/R-cran-xml2/Makefile                          | 2 +-
 textproc/apertium/Makefile                             | 2 +-
 textproc/asciidoc/Makefile                             | 2 +-
 textproc/augeas/Makefile                               | 2 +-
 textproc/diffmark/Makefile                             | 2 +-
 textproc/docbook2X/Makefile                            | 2 +-
 textproc/ebook-tools/Makefile                          | 2 +-
 textproc/fpc-libxml2/Makefile                          | 2 +-
 textproc/gdome2/Makefile                               | 2 +-
 textproc/gmetadom/Makefile                             | 2 +-
 textproc/gspell/Makefile                               | 2 +-
 textproc/gtk-doc/Makefile                              | 2 +-
 textproc/ibus/Makefile                                 | 1 +
 textproc/lasem/Makefile                                | 2 +-
 textproc/libabw/Makefile                               | 2 +-
 textproc/libcroco/Makefile                             | 2 +-
 textproc/libe-book/Makefile                            | 2 +-
 textproc/libextractor/Makefile                         | 2 +-
 textproc/libfo/Makefile                                | 2 +-
 textproc/libfolia/Makefile                             | 2 +-
 textproc/libgepub/Makefile                             | 2 +-
 textproc/liblingoteach/Makefile                        | 2 +-
 textproc/libodfgen01/Makefile                          | 2 +-
 textproc/libtranslate/Makefile                         | 2 +-
 textproc/libvisio01/Makefile                           | 2 +-
 textproc/libwpd010/Makefile                            | 2 +-
 textproc/libxml++26/Makefile                           | 2 +-
 textproc/lttoolbox/Makefile                            | 2 +-
 textproc/p5-XML-CanonicalizeXML/Makefile               | 2 +-
 textproc/p5-XML-LibXML/Makefile                        | 2 +-
 textproc/p5-XML-LibXSLT/Makefile                       | 2 +-
 textproc/php74-dom/Makefile                            | 2 +-
 textproc/php74-simplexml/Makefile                      | 2 +-
 textproc/php74-xml/Makefile                            | 2 +-
 textproc/php74-xmlreader/Makefile                      | 2 +-
 textproc/php74-xmlwriter/Makefile                      | 2 +-
 textproc/php74-xsl/Makefile                            | 2 +-
 textproc/php80-dom/Makefile                            | 2 +-
 textproc/php80-simplexml/Makefile                      | 2 +-
 textproc/php80-xml/Makefile                            | 2 +-
 textproc/php80-xmlreader/Makefile                      | 2 +-
 textproc/php80-xmlwriter/Makefile                      | 2 +-
 textproc/php80-xsl/Makefile                            | 2 +-
 textproc/php81-dom/Makefile                            | 2 +-
 textproc/php81-simplexml/Makefile                      | 2 +-
 textproc/php81-xml/Makefile                            | 2 +-
 textproc/php81-xmlreader/Makefile                      | 2 +-
 textproc/php81-xmlwriter/Makefile                      | 2 +-
 textproc/php81-xsl/Makefile                            | 2 +-
 textproc/raptor/Makefile                               | 2 +-
 textproc/raptor2/Makefile                              | 2 +-
 textproc/rubygem-libxml-ruby/Makefile                  | 1 +
 textproc/rubygem-nokogiri/Makefile                     | 2 +-
 textproc/rubygem-nokogiri111/Makefile                  | 2 +-
 textproc/rubygem-nokogumbo/Makefile                    | 2 +-
 textproc/rubygem-ruby-augeas/Makefile                  | 2 +-
 textproc/rubygem-ruby-xslt/Makefile                    | 2 +-
 textproc/ssddiff/Makefile                              | 2 +-
 textproc/ucto/Makefile                                 | 2 +-
 textproc/uim/Makefile                                  | 1 +
 textproc/wv/Makefile                                   | 2 +-
 textproc/wv2/Makefile                                  | 2 +-
 textproc/xmlroff/Makefile                              | 2 +-
 textproc/xmlstarlet/Makefile                           | 2 +-
 textproc/xmlwrapp/Makefile                             | 2 +-
 textproc/yelp-tools/Makefile                           | 2 +-
 textproc/yelp-xsl/Makefile                             | 2 +-
 textproc/zorba/Makefile                                | 2 +-
 www/apache24/Makefile                                  | 1 +
 www/aria2/Makefile                                     | 2 +-
 www/bluefish/Makefile                                  | 2 +-
 www/castget/Makefile                                   | 2 +-
 www/chromium/Makefile                                  | 1 +
 www/cssed/Makefile                                     | 2 +-
 www/davix/Makefile                                     | 2 +-
 www/epiphany/Makefile                                  | 2 +-
 www/flickcurl/Makefile                                 | 2 +-
 www/gnome-user-share/Makefile                          | 2 +-
 www/gstreamer1-plugins-neon/Makefile                   | 2 +-
 www/hiawatha/Makefile                                  | 2 +-
 www/iridium/Makefile                                   | 2 +-
 www/kannel-sqlbox/Makefile                             | 2 +-
 www/kannel/Makefile                                    | 2 +-
 www/midori/Makefile                                    | 2 +-
 www/mod_php74/Makefile                                 | 2 +-
 www/mod_php80/Makefile                                 | 2 +-
 www/mod_php81/Makefile                                 | 2 +-
 www/mod_security/Makefile                              | 2 +-
 www/newsboat/Makefile                                  | 2 +-
 www/nghttp2/Makefile                                   | 2 +-
 www/nginx-full/Makefile                                | 2 +-
 www/pecl-solr/Makefile                                 | 2 +-
 www/py-html5-parser/Makefile                           | 2 +-
 www/qt5-webengine/Makefile                             | 2 +-
 www/qt5-webkit/Makefile                                | 2 +-
 www/rssroll/Makefile                                   | 2 +-
 www/rsstool/Makefile                                   | 2 +-
 www/sitecopy/Makefile                                  | 2 +-
 www/tidy-html5/Makefile                                | 2 +-
 www/trafficserver/Makefile                             | 2 +-
 www/webkit2-gtk3/Makefile                              | 2 +-
 x11-clocks/cairo-clock/Makefile                        | 2 +-
 x11-fm/caja/Makefile                                   | 2 +-
 x11-fm/fsv2/Makefile                                   | 2 +-
 x11-fm/librfm/Makefile                                 | 2 +-
 x11-fm/nautilus-python/Makefile                        | 2 +-
 x11-fm/nemo/Makefile                                   | 2 +-
 x11-fm/polo/Makefile                                   | 2 +-
 x11-fm/rodent/Makefile                                 | 2 +-
 x11-fm/rox-filer/Makefile                              | 2 +-
 x11-fm/sushi/Makefile                                  | 2 +-
 x11-fonts/font-manager/Makefile                        | 2 +-
 x11-themes/adapta-backgrounds/Makefile                 | 2 +-
 x11-themes/adapta-gtk-theme/Makefile                   | 2 +-
 x11-themes/gnome-icons-gartoon-redux/Makefile          | 2 +-
 x11-themes/gnome-themes-extra/Makefile                 | 2 +-
 x11-themes/plata-theme/Makefile                        | 2 +-
 x11-toolkits/copperspice/Makefile                      | 2 +-
 x11-toolkits/gdl/Makefile                              | 2 +-
 x11-toolkits/gnocl/Makefile                            | 2 +-
 x11-toolkits/gstreamer1-plugins-gtk/Makefile           | 2 +-
 x11-toolkits/gstreamer1-plugins-pango/Makefile         | 2 +-
 x11-toolkits/gtk-sharp20/Makefile                      | 2 +-
 x11-toolkits/gtkmathview/Makefile                      | 2 +-
 x11-toolkits/gtkmm24/Makefile                          | 2 +-
 x11-toolkits/gtkmm30/Makefile                          | 2 +-
 x11-toolkits/gtksourceview2/Makefile                   | 2 +-
 x11-toolkits/gtksourceview3/Makefile                   | 2 +-
 x11-toolkits/gtksourceview4/Makefile                   | 2 +-
 x11-toolkits/gtksourceview5/Makefile                   | 2 +-
 x11-toolkits/gtksourceviewmm3/Makefile                 | 2 +-
 x11-toolkits/guile-gnome-platform/Makefile             | 2 +-
 x11-toolkits/libsexy/Makefile                          | 2 +-
 x11-toolkits/ocaml-lablgtk2/Makefile                   | 2 +-
 x11-toolkits/p5-Glade2/Makefile                        | 2 +-
 x11-toolkits/p5-Gtk2-GladeXML/Makefile                 | 2 +-
 x11-toolkits/pangomm/Makefile                          | 2 +-
 x11-toolkits/rubygem-gtksourceview3/Makefile           | 2 +-
 x11-toolkits/rubygem-gtksourceview4/Makefile           | 2 +-
 x11-toolkits/tepl/Makefile                             | 2 +-
 x11-toolkits/tepl6/Makefile                            | 2 +-
 x11-toolkits/ztoolkit/Makefile                         | 2 +-
 x11-wm/afterstep-stable/Makefile                       | 2 +-
 x11-wm/compiz-plugins-extra/Makefile                   | 2 +-
 x11-wm/compiz-plugins-main/Makefile                    | 2 +-
 x11-wm/compiz-plugins-unsupported/Makefile             | 2 +-
 x11-wm/compiz/Makefile                                 | 2 +-
 x11-wm/compizconfig-backend-gconf/Makefile             | 2 +-
 x11-wm/labwc/Makefile                                  | 1 +
 x11-wm/libcompizconfig/Makefile                        | 2 +-
 x11-wm/lxappearance-obconf/Makefile                    | 2 +-
 x11-wm/lxsession/Makefile                              | 2 +-
 x11-wm/obconf-qt/Makefile                              | 2 +-
 x11-wm/obconf/Makefile                                 | 2 +-
 x11-wm/openbox/Makefile                                | 2 +-
 x11/alltray/Makefile                                   | 2 +-
 x11/apwal/Makefile                                     | 2 +-
 x11/cinnamon-screensaver/Makefile                      | 2 +-
 x11/cinnamon/Makefile                                  | 2 +-
 x11/gnome-pie/Makefile                                 | 2 +-
 x11/gnome-shell/Makefile                               | 2 +-
 x11/gnome-terminal/Makefile                            | 2 +-
 x11/gstreamer1-plugins-x/Makefile                      | 2 +-
 x11/gstreamer1-plugins-ximagesrc/Makefile              | 2 +-
 x11/gsynaptics/Makefile                                | 2 +-
 x11/jgmenu/Makefile                                    | 2 +-
 x11/keyboardcast/Makefile                              | 2 +-
 x11/libxkbcommon/Makefile                              | 2 +-
 x11/libxklavier/Makefile                               | 2 +-
 x11/lxpanel/Makefile                                   | 2 +-
 x11/mate-applets/Makefile                              | 2 +-
 x11/mate-panel/Makefile                                | 1 +
 x11/mate-session-manager/Makefile                      | 2 +-
 x11/nwg-launchers/Makefile                             | 2 +-
 x11/pipeglade/Makefile                                 | 2 +-
 x11/plank/Makefile                                     | 2 +-
 x11/roxterm/Makefile                                   | 2 +-
 x11/simdock/Makefile                                   | 2 +-
 x11/swaysettings/Makefile                              | 2 +-
 x11/tint/Makefile                                      | 2 +-
 x11/waybar/Makefile                                    | 2 +-
 x11/wbar/Makefile                                      | 2 +-
 x11/wcm/Makefile                                       | 2 +-
 x11/wf-shell/Makefile                                  | 2 +-
 x11/workrave/Makefile                                  | 2 +-
 x11/xapp/Makefile                                      | 2 +-
 x11/xfce4-screenshooter-plugin/Makefile                | 2 +-
 x11/xfce4-terminal/Makefile                            | 1 +
 x11/xkeyboard-config/Makefile                          | 2 +-
 x11/xscreensaver/Makefile                              | 2 +-
 x11/xsnow/Makefile                                     | 2 +-
 x11/yelp/Makefile                                      | 2 +-
 891 files changed, 894 insertions(+), 863 deletions(-)
Comment 16 commit-hook freebsd_committer 2022-04-10 19:53:16 UTC
A commit in branch 2022Q2 references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=7de1b4cba052834d7149043d814c0bb415c97b34

commit 7de1b4cba052834d7149043d814c0bb415c97b34
Author:     Charlie Li <vishwin@FreeBSD.org>
AuthorDate: 2022-04-10 18:43:18 +0000
Commit:     Charlie Li <vishwin@FreeBSD.org>
CommitDate: 2022-04-10 19:47:04 +0000

    textproc/{,py-}libxml2: switch back to autotools

    See notes in Makefile and linked PRs.

    While here, disable the ICU option by default. CFLAGS for libicu
    are passed to libxml2's consumers when the option is enabled. As
    icu's API is not stable between versions, PORTREVISION bumps can
    get missed.

    Additionally, properly exclude all OPTIONS from py-libxml2 and
    prevent do-configure from unnecessarily running.

    Co-authored-by: diizzy
    PR: 262853, 262940, 262877
    Approved by: fluffy (mentor)

    (cherry picked from commit 57dd5abd6018e0bec9e5b7c406268b349da4b7e7)

 textproc/libxml2/Makefile                          | 59 ++++++++++++++--------
 textproc/libxml2/distinfo                          |  6 +--
 textproc/libxml2/files/extra-patch-docs (gone)     | 11 ----
 textproc/libxml2/files/patch-CMakeLists.txt (gone) | 29 -----------
 textproc/libxml2/files/patch-Makefile.in (new)     | 47 +++++++++++++++++
 textproc/libxml2/files/patch-config.h.in (new)     | 11 ++++
 textproc/libxml2/files/patch-configure (new)       | 11 ++++
 .../libxml2/files/patch-libxml-2.0.pc.in (gone)    | 11 ----
 textproc/libxml2/pkg-plist                         | 29 ++---------
 textproc/libxslt/Makefile                          |  6 +--
 textproc/py-libxml2/Makefile                       | 38 +++++---------
 11 files changed, 128 insertions(+), 130 deletions(-)
Comment 17 Charlie Li freebsd_committer 2022-04-10 19:58:57 UTC
We're back to autotools so the old symbol versioning behaviour should return.
Comment 18 gnikl 2022-04-22 15:07:27 UTC
(In reply to Charlie Li from comment #17)
> We're back to autotools so the old symbol versioning behaviour should return.
Thank you! The missing symbol versions were a major PITA breaking eg. chromium for me. I didn't notice immediately since I am using SeaMonkey most of the time. libxml2 broken was surprising and I was tempted to revert to the previous version. Fortunately the issue was already fixed, so thanks again.

FWIW, this is the second time that switching build system causes pain. AFAIR, it was freetype2 switching to cmake which removed the freetype-config script.
Comment 19 Daniel Engberg freebsd_committer 2022-04-23 08:10:12 UTC
(In reply to gnikl from comment #18)
If you read the PR referred to that commit there's a discussion about this, short version is we need to move on and not rely on deprecated functionality which will cause issues further down the road. https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=251512#c9
Comment 20 gnikl 2022-04-25 17:50:26 UTC
(In reply to Daniel Engberg from comment #19)
My reference to freetype2 was merely another example where a build system change had unexpected consequences. It was not meant to belittle your work. I am sorry I sounded like that!

> if you read the PR referred to that commit there's a discussion about this,
> short version is we need to move on and not rely on deprecated functionality
> which will cause issues further down the road.
I am not opposing replacing deprecated functionality. Making sure that no port relies on such functionality is fine, but you should take "external" uses into account as well. IMHO keeping functionality is a courtesy to users. I understand that maintaining a port is time-consuming.